Index: unk/avant.sh
===================================================================
--- /trunk/avant.sh	(revision 20)
+++ 	(revision )
@@ -1,54 +1,0 @@
-#! /bin/sh
-#
-# module :
-# préparation du répertoire d'accueil de bibnemomaf
-# - arborescence;
-# - copie des images;
-# - copie des feuilles de styles;
-# - copie des .ht* (pas testable sur file:++);
-# - etc.
-#
-# original location :
-# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/avant.sh sur aedon.locean-ipsl.upmc.fr
-#
-# update :
-# fplod 2007-03-30T09:55:49Z aedon.locean-ipsl.upmc.fr (Darwin)
-# création
-#
-# ++ simu paramètre
-produit=bibnemomaf
-lang=en
-#
-DIRSRC=.
-DIRWWW=/tmp/bibopa/
-#
-# destruction of previous installation
-/bin/rm -r ${DIRWWW}/ 2> /dev/null
-#
-# building of directories
-mkdir -p ${DIRWWW}/images/
-mkdir -p ${DIRWWW}/php/
-mkdir -p ${DIRWWW}/${lang}/one/
-mkdir -p ${DIRWWW}/${lang}/many/${produit}03/
-mkdir -p ${DIRWWW}/${lang}/many/${produit}04/
-#
-list_php="${DIRSRC}/phpversion.php ${DIRSRC}/server.php ${DIRSRC}/timestamp.php"
-for file_php in ${list_php}
-do
- cp ${file_php} ${DIRWWW}/php/
-done
-#
-mkdir -p ${DIRWWW}/${lang}//images/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
-cp ${DIRSRC}/images/* ${DIRWWW}/images/ 
-cp ${DIRSRC}/images/* ${DIRWWW}/en/images/ # ++ parce que un niveau de plus que d'habitude dans les chunck
-#
-# copy of CSS
-cp ${DIRSRC}/*.css ${DIRWWW}/
-cp ${DIRSRC}/*.css ${DIRWWW}/en/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
-#
-# modification du temps de création des répetoires pour que le
-# makefile déclenche les générations de html
-find ${DIRWWW}/ -type d -exec touch -t 199912310000 {} \;
-#
-# fin
-exit 0
Index: /trunk/before.sh
===================================================================
--- /trunk/before.sh	(revision 30)
+++ /trunk/before.sh	(revision 30)
@@ -0,0 +1,150 @@
+#! /bin/sh
+#
+# module :
+# preparation of temporary (before deployement) of superbib results directory
+# - tree;
+# - copy of constant images copie des images;
+# - copy of CSS style sheet;
+# - etc.
+#
+# update :
+# $Id$
+# fplod 2007-10-17T12:22:57Z aedon.locean-ipsl.upmc.fr (Darwin)
+# parametrisation of number of "many" presentation
+# fplod 2007-09-28T08:43:10Z aedon.locean-ipsl.upmc.fr (Darwin)
+# parametrisation and translation
+# fplod 2007-03-30T09:55:49Z aedon.locean-ipsl.upmc.fr (Darwin)
+# création
+#
+#
+set -o posix
+command=$(basename ${0} .sh)
+log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
+log=/tmp/${command}.${log_date}
+#
+usage=" Usage : ${command} -p product -s dirsrc -w dirwww -l lang -mono|-multi -m nmany"
+#
+minargcount=9
+#echo " narg ${#}"
+if [ ${#} -lt ${minargcount} ]
+then
+  echo "eee : not enought arguments"
+  echo "${usage}"
+  exit 1
+fi
+#
+# default
+nmany=1
+#
+while [ ! -z "${1}" ]
+do
+ case ${1} in
+ -p) # product
+  product=${2}
+  shift
+ ;;
+ -s) # dirsrc
+  dirsrc=${2}
+  shift
+ ;;
+ -w) # dirwww
+  dirwww=${2}
+  shift
+ ;;
+ -l) # lang
+  lang=${2}
+  shift
+ ;;
+ -mono) # monolingual
+  monolingual=1
+ ;;
+ -multi) # multiingual
+  monolingual=0
+ ;;
+ -m)
+  nmany=${2}
+  shift
+ ;;
+ esac
+ shift # next flag
+done
+#
+set -u
+#
+# destruction of previous installation
+/bin/rm -r ${dirwww}/ 2> /dev/null
+#
+# building of directories
+if [ -d ${dirsrc}/images/ ]
+then
+   mkdir -p ${dirwww}/images/
+   if [ ${nmany} -gt 1 ]
+   then
+      mkdir -p ${dirwww}/${lang}//images/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
+   fi
+fi
+#
+list_php="${dirsrc}/phpversion.php ${dirsrc}/server.php ${dirsrc}/timestamp.php"
+ls ${list_php} 1> /dev/null 2> /dev/null
+exist_php=${?}
+if [ ${exist_php} -eq 0 ]
+then
+   mkdir -p ${dirwww}/php/
+fi
+#
+if [ ${monolingual} = 0 ]
+then
+ mkdir -p ${dirwww}/${lang}/one/
+ mkdir -p ${dirwww}/${lang}/many/
+ if [ ${nmany} -gt 1 ]
+ then
+    imany=1
+    while [ ${imany} -le ${nmany} ]
+    do
+       mkdir -p ${dirwww}/${lang}/many/${product}$(printf "%2.2d" ${imany})/
+       imany=$(( ${imany} + 1 ))
+    done
+ fi
+else
+ mkdir -p ${dirwww}/one/
+ mkdir -p ${dirwww}/many/
+ if [ ${nmany} -gt 1 ]
+ then
+    imany=1
+    while [ ${imany} -le ${nmany} ]
+    do
+       mkdir -p ${dirwww}/many/${product}$(printf "%2.2d" ${imany})/
+    done
+ fi
+fi
+#
+if [ ${exist_php} -eq 0 ]
+then
+   for file_php in ${list_php}
+   do
+     cp ${file_php} ${dirwww}/php/
+   done
+fi
+#
+if [ -d ${dirsrc}/images ]
+then
+   cp ${dirsrc}/images/* ${dirwww}/images/
+   if [ ${nmany} -gt 1 ]
+   then
+      cp ${dirsrc}/images/* ${dirwww}/${lang}/images/ # ++ parce que un niveau de plus que d'habitude dans les chunck
+   fi
+fi
+#
+# copy of CSS
+cp ${dirsrc}/*.css ${dirwww}/
+if [ ${nmany} -gt 1 ]
+then
+  cp ${dirsrc}/*.css ${dirwww}/${lang}/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
+fi
+#
+# modification of directory time in order to trigger the generation of HTML
+# files
+find ${dirwww}/ -type d -exec touch -t 199912310000 {} \;
+#
+# end
+exit 0
Index: /trunk/biblioentry_xml.xsl
===================================================================
--- /trunk/biblioentry_xml.xsl	(revision 20)
+++ /trunk/biblioentry_xml.xsl	(revision 30)
@@ -9,4 +9,6 @@
 
 update :
+fplod 2007-06-20T17:18:02Z aedon.locean-ipsl.upmc.fr (Darwin)
+<bibliomisc role="id"> replaced by <biblioid class="doi">
 fplod 2007-05-16T14:01:44Z aedon.locean-ipsl.upmc.fr (Darwin)
 correction in order to write doi only once
@@ -68,4 +70,5 @@
      </xsl:otherwise>
     </xsl:choose>
+    <xsl:apply-templates select="$my_biblioentry/biblioid"/>
     <xsl:apply-templates select="$my_biblioentry/bibliomisc"/>
   </xsl:element>
@@ -167,38 +170,25 @@
  </xsl:message>
 </xsl:template>
+
 <xsl:template match="biblioset[@relation='journal']/volumenum">
   <xsl:value-of select="."/>
 </xsl:template>
+
 <xsl:template match="biblioset[@relation='journal']/issuenum">
   <xsl:value-of select="."/>
 </xsl:template>
+
 <xsl:template match="biblioset[@relation='journal']/pagesnum">
   <xsl:value-of select="."/>
 </xsl:template>
 
-<xsl:template match="bibliomisc">
+<xsl:template match="biblioid">
 <xsl:choose>
-<xsl:when test="contains(.,'In Press')">
- <xsl:text>, </xsl:text>
- <xsl:value-of select="."/>
-</xsl:when>
-<xsl:when test="contains(.,'In press')">
- <xsl:text>, </xsl:text>
- <xsl:value-of select="."/>
-</xsl:when>
-<xsl:when test="contains(.,'in press')">
- <xsl:text>, </xsl:text>
- <xsl:value-of select="."/>
-</xsl:when>
-<xsl:when test="contains(.,'in revision')">
- <xsl:text>, </xsl:text>
- <xsl:value-of select="."/>
-</xsl:when>
-<xsl:when test="@role='doi'"> <!-- ++ si doi existe et different de ??? -->
+<xsl:when test="@class='doi'">
  <xsl:choose>
   <xsl:when test=". = '???'">
    <xsl:message> iii : no doi found for 
-<xsl:value-of select="ancestor::biblioentry/@id"/>
-</xsl:message>
+    <xsl:value-of select="ancestor::biblioentry/@id"/>
+   </xsl:message>
   </xsl:when>
  <xsl:otherwise>
@@ -218,4 +208,31 @@
 <xsl:otherwise>
  <xsl:message>
+eee : unknown biblioid purpose for <xsl:value-of select="ancestor::biblioentry/@id"/>
+eee : <xsl:value-of select="."/>
+ </xsl:message>
+</xsl:otherwise>
+</xsl:choose>
+</xsl:template>
+
+<xsl:template match="bibliomisc">
+<xsl:choose>
+<xsl:when test="contains(.,'In Press')">
+ <xsl:text>, </xsl:text>
+ <xsl:value-of select="."/>
+</xsl:when>
+<xsl:when test="contains(.,'In press')">
+ <xsl:text>, </xsl:text>
+ <xsl:value-of select="."/>
+</xsl:when>
+<xsl:when test="contains(.,'in press')">
+ <xsl:text>, </xsl:text>
+ <xsl:value-of select="."/>
+</xsl:when>
+<xsl:when test="contains(.,'in revision')">
+ <xsl:text>, </xsl:text>
+ <xsl:value-of select="."/>
+</xsl:when>
+<xsl:otherwise>
+ <xsl:message>
 eee : unknown bibliomisc purpose for <xsl:value-of select="ancestor::biblioentry/@id"/>
 eee : <xsl:value-of select="."/>
Index: /trunk/bibnemomaf01_xml.xsl
===================================================================
--- /trunk/bibnemomaf01_xml.xsl	(revision 20)
+++ /trunk/bibnemomaf01_xml.xsl	(revision 30)
@@ -11,4 +11,6 @@
 $Id$
 ++ plein de trucs
+fplod 2007-10-17T08:01:14Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve authors sort (diacriticals) 
 fplod 2007-06-08T08:36:48Z aedon.locean-ipsl.upmc.fr (Darwin)
 add total nb of publications in one cell. quite interesting usage of
@@ -142,5 +144,4 @@
 <para>
 You can also see <quote>NEMO - Publications - Papers</quote> sorted by 
-<xsl:text>authors</xsl:text>
 authors in
 <xsl:element name="ulink">
@@ -153,5 +154,5 @@
 <xsl:element name="ulink">
  <xsl:attribute name="url">
-  <xsl:value-of select="'../many/bibnemomaf03/index.html'"/>
+  <xsl:value-of select="'../many/bibnemomaf01/index.html'"/>
  </xsl:attribute>
  <xsl:text>several </xsl:text>
@@ -225,6 +226,5 @@
   <orderedlist>
    <xsl:for-each select="/descendant::biblioentry[child::biblioset[child::pubdate=$year]]|/descendant::biblioentry[child::date=$year]">
-    <xsl:sort order="ascending" data-type="text" select="./authorgroup/author/personname/surname"/>
-    <xsl:sort order="ascending" data-type="text" select="./authorgroup/author/personname/firstname"/>
+    <xsl:sort order="ascending" data-type="text" select="translate(./authorgroup/author/personname,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó','ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
     <xsl:call-template name="one_biblioentry">
      <xsl:with-param name="visu_modif" select="'visu'"/>
Index: /trunk/bibnemomaf02_xml.xsl
===================================================================
--- /trunk/bibnemomaf02_xml.xsl	(revision 20)
+++ /trunk/bibnemomaf02_xml.xsl	(revision 30)
@@ -9,4 +9,6 @@
 
 update :
+fplod 2007-10-17T07:49:19Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve sort (diacriticals)
 fplod 2007-05-18T14:31:33Z aedon.locean-ipsl.upmc.fr (Darwin)
 modif gestion id
@@ -92,8 +94,5 @@
 <!-- loop on author_ids -->
 <xsl:for-each select="$list_author_ids">
-<xsl:sort order="ascending" data-type="text" select="."/>
-<!--
-<xsl:message><xsl:value-of select="."/></xsl:message>
--->
+<xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
 <xsl:variable name="author_id2">
 <xsl:call-template name="surname_id">
Index: unk/bibnemomaf03_html.xsl
===================================================================
--- /trunk/bibnemomaf03_html.xsl	(revision 20)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<?xml version='1.0' encoding='ISO-8859-1'?> 
-<!--
-module :
-transformation docbook en plusieurs html
-
-source :
-/usr/home/fplod/incas/bibnemo/src/bibnemomaf/bibnemomaf03_html.xsl sur aedon.locean-ipsl.upmc.fr
-
-mise à jour :
-fplod 2007-05-04T09:05:49Z aedon.locean-ipsl.upmc.fr (Darwin)
-création à partir de bibnemomaf02_html.xsl mais user.footer.navigation
-au lieu de user.footer.content
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
-
-<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
-
-<xsl:output method="xml" 
-encoding="utf-8" 
-indent="yes" 
-omit-xml-declaration="no"
-doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
-doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
-
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
-
-<xsl:template match="*" mode="book.titlepage.mode"/>
-<xsl:param name="generate.toc">
-article nop
-</xsl:param>
-<xsl:param name="section.autolabel" select="0"/>
-<xsl:param name="css.decoration" select="0"/>
-<xsl:param name="chunk.section.depth" select="1"/>
-<xsl:param name="use.id.as.filename" select="1"/>
-<xsl:param name="chunker.output.doctype-public">"-//W3C//DTD XHTML 1.0 Strict//EN"</xsl:param>
-<xsl:param name="chunker.output.omit-xml-declaration">no</xsl:param> 
-<xsl:param name="chunker.output.encoding">utf-8</xsl:param>
-<xsl:param name="chunker.output.indent">yes</xsl:param>
-<xsl:param name="doctype-system">"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"</xsl:param>
-
-
-<!--
-Personalisation de bas de page
--->
-<xsl:template name="user.footer.navigation">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet> 
Index: unk/bibnemomaf03_xml.xsl
===================================================================
--- /trunk/bibnemomaf03_xml.xsl	(revision 20)
+++ 	(revision )
@@ -1,197 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<!--
-module :
-sortir les références bibliographiques par personne en morceau
-
-source :
-/usr/home/fplod/incas/bibnemo/src/bibnemomaf/bibnemomaf03_xml.xsl sur aedon.locean-ipsl.upmc.fr
-
-update :
-fplod 2007-05-18T14:57:52Z aedon.locean-ipsl.upmc.fr (Darwin)
-modif gestion id
-fplod 2007-05-16T15:19:57Z aedon.locean-ipsl.upmc.fr (Darwin)
-correction pour homonymes partiels
-fplod 2007-05-04T09:23:05Z aedon.locean-ipsl.upmc.fr (Darwin)
-creation à partir de bibnemomaf02_xml.xsl mais liens externes
--->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-
-<xsl:output
- method="xml"
- indent="yes"
- encoding="ISO-8859-1"
- omit-xml-declaration="no"
- doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
- doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
-
-<xsl:include href="firstname_id.xsl"/>
-<xsl:include href="surname_id.xsl"/>
-<xsl:include href="table_authors.xsl"/>
-<xsl:include href="biblioentry_xml.xsl"/>
-
-<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>
-
-<xsl:template match="bibliography">
-
-<article lang="en">
-<title>NEMO - Publications - Papers by authors</title>
-<articleinfo>
-<authorgroup>
-<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
-<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
-<!--++-->
-</authorgroup>
-<keywordset>
-<keyword>NEMO</keyword>
-</keywordset>
-<!-- ++ date -->
-</articleinfo>
-<highlights id="top">
-<para>
- This page intents to provide an exhaustive list of the papers that have used NEMO or OPA and/or results from them. Obvioulsy many papers are missing. If you find omissions or mistakes please ask some modification via
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'../../one/bibnemomain.php'"/>
- </xsl:attribute>
- <xsl:text>Nemo Survey main page</xsl:text>
-</xsl:element>.
-</para>
-</highlights>
-<para>
-You can also see <quote>NEMO - Publications - Papers</quote> sorted by 
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'../../one/bibnemomaf01.html'"/>
- </xsl:attribute>
-<xsl:text>years</xsl:text>
-</xsl:element>.
-</para>
-<para>
-Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
-</para>
-
-<sect1 id="intro">
-<title>Introduction</title>
-<para>
-This document provide bibliography sorted by author's id (<emphasis>SURNAME_f</emphasis>).
-</para>
-</sect1>
-
-<xsl:call-template name="table_authors">
-<xsl:with-param name="linktype" select="'external'"/>
-</xsl:call-template>
-
-<!-- loop on author_ids -->
-<xsl:for-each select="$list_author_ids">
-<xsl:sort order="ascending" data-type="text" select="."/>
-<xsl:variable name="author_id2">
-<xsl:call-template name="surname_id">
- <xsl:with-param name="surname" select="personname/surname"/>
-</xsl:call-template>
-<xsl:text>_</xsl:text>
-<xsl:call-template name="firstname_id">
- <xsl:with-param name="firstname" select="personname/firstname"/>
-</xsl:call-template>
-</xsl:variable>
-<!--
-<xsl:message terminate="no">
-noeud courant <xsl:value-of select="name(.)"/>
-author <xsl:value-of select="."/>
-author_id2 <xsl:value-of select="$author_id2"/>
-</xsl:message>
--->
-<xsl:call-template name="one_author_id">
-<xsl:with-param name="author_id" select="$author_id2"/>
-<xsl:with-param name="author_name" select="."/>
-</xsl:call-template>
-</xsl:for-each>
-
-</article>
-</xsl:template>
-
-<xsl:template match="bibliographyinfo/date"/>
-<xsl:template match="bibliography/title"/>
-
-<xsl:template name="one_author_id">
-<xsl:param name="author_id"/>
-<xsl:param name="author_name"/>
-<!--
-<xsl:message terminate="no">
-call template avec <xsl:value-of select="$author_id"/>
-et <xsl:value-of select="$author_name"/>
-noeud courant <xsl:value-of select="name(.)"/>
-</xsl:message>
--->
-<!--
-<xsl:message terminate="no">
-author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
-2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
-</xsl:message>
--->
-<xsl:element name="sect1">
-<xsl:attribute name="id">
-<xsl:value-of select="$author_id"/>
-</xsl:attribute>
-<xsl:element name="title">
-<xsl:value-of select="$author_name"/>
-<xsl:element name="ulink">
-<xsl:attribute name="url"><xsl:text>#top</xsl:text></xsl:attribute>
-<xsl:element name="inlinemediaobject">
-<xsl:element name="imageobject">
-<xsl:element name="imagedata">
-<xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
-</xsl:element>
-     </xsl:element>
-     <xsl:element name="textobject">
-      <xsl:element name="phrase">
-       <xsl:text>top</xsl:text>
-      </xsl:element>
-     </xsl:element>
-    </xsl:element>
-   </xsl:element>
-  </xsl:element>
-  <xsl:element name="orderedlist">
-  <!--
-    <xsl:for-each select="/descendant::biblioentry[descendant::author=$author_name]">
-  -->
-   <xsl:for-each select="//biblioentry">
-    <xsl:sort order="descending" data-type="number" select="./biblioset/pubdate"/>
-
-    <xsl:for-each select="descendant::author">
-     <xsl:sort order="ascending" data-type="text" select="./personname/surname"/>
-     <xsl:sort order="ascending" data-type="text" select="./personname/firstname"/>
-     <xsl:variable name="author_id2">
-<xsl:call-template name="surname_id">
- <xsl:with-param name="surname" select="personname/surname"/>
-</xsl:call-template>
-<xsl:text>_</xsl:text>
-<xsl:call-template name="firstname_id">
- <xsl:with-param name="firstname" select="personname/firstname"/>
-</xsl:call-template>
-     </xsl:variable>
-
-<!--
-     <xsl:message terminate="no">
-      ref #<xsl:value-of select="position()"/>
-      _id appel <xsl:value-of select="$author_id"/>
-      _id fabrique <xsl:value-of select="$author_id2"/>
-      egal ? <xsl:value-of select="$author_id2 = $author_id"/>
-     </xsl:message>
--->
-     <xsl:if test="$author_id2 = $author_id">
-  <xsl:call-template name="one_biblioentry">
-   <xsl:with-param name="visu_modif" select="'visu'"/>
-   <xsl:with-param name="my_biblioentry" select="ancestor::biblioentry"/>
-  </xsl:call-template>
-     </xsl:if>
-    </xsl:for-each>
-   </xsl:for-each>
-  </xsl:element>
- </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet>
Index: unk/bibnemomaf04_html.xsl
===================================================================
--- /trunk/bibnemomaf04_html.xsl	(revision 20)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version='1.0' encoding='ISO-8859-1'?> 
-<!--
-module :
-transformation docbook en plusieurs html avec formulaire
-
-source :
-/usr/home/fplod/incas/bibnemo/src/bibnemomaf/bibnemomaf04_html.xsl sur aedon.locean-ipsl.upmc.fr
-
-mise à jour :
-fplod 2007-04-06T10:30:31Z aedon.locean-ipsl.upmc.fr (Darwin)
-création
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
-
-<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
-
-<xsl:include href="titlepage.bibnemomaf.xsl"/>
-<xsl:include href="form_html.xsl"/>
-
-<xsl:template match="*" mode="book.titlepage.mode"/>
-<xsl:param name="generate.toc">
-article nop
-</xsl:param>
-<xsl:param name="section.autolabel" select="0"/>
-<xsl:param name="css.decoration" select="0"/>
-<xsl:param name="chunk.section.depth" select="1"/>
-<xsl:param name="use.id.as.filename" select="1"/>
-<xsl:param name="chunker.output.doctype-public">"-//W3C//DTD XHTML 1.0 Strict//EN"</xsl:param>
-<xsl:param name="chunker.output.omit-xml-declaration">yes</xsl:param> <!-- parce que .php -->
-<xsl:param name="chunker.output.encoding">utf-8</xsl:param>
-<xsl:param name="chunker.output.indent">yes</xsl:param>
-<xsl:param name="doctype-system">"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"</xsl:param>
-
-<!--
-Personalisation de bas de page
--->
-<xsl:template name="user.footer.navigation">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet> 
Index: unk/bibnemomaf04_xml.xsl
===================================================================
--- /trunk/bibnemomaf04_xml.xsl	(revision 20)
+++ 	(revision )
@@ -1,173 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<!--
-module :
-sortir un formulaire en html avec les références bibliographiques  + questions générales par personne
-
-source :
-/usr/home/fplod/incas/bibnemo/src/bibnemomaf/bibnemomaf04_xml.xsl sur aedon.locean-ipsl.upmc.fr
-
-update :
-++ parametrer le nom du fichier "base utilisateur" usernemo.xml
-fplod 2007-05-18T14:59:29Z aedon.locean-ipsl.upmc.fr (Darwin)
-modif gestion id
-fplod 2007-05-16T15:28:56Z aedon.locean-ipsl.upmc.fr (Darwin)
-correction pour homonymes partiels
-fplod 2007-05-15T15:07:37Z aedon.locean-ipsl.upmc.fr (Darwin)
-modification to see usernemo/userid="template" information if author_id 
-doesn't exit in users datafile
-fplod 2007-04-16T08:10:06Z aedon.locean-ipsl.upmc.fr (Darwin)
-creation
--->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-
-<xsl:output
- method="xml"
- indent="yes"
- encoding="ISO-8859-1"
- omit-xml-declaration="yes"
- doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
- doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
-
-<xsl:include href="firstname_id.xsl"/>
-<xsl:include href="surname_id.xsl"/>
-<xsl:include href="table_authors.xsl"/>
-<xsl:include href="form_db.xsl"/>
-
-<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>
-
-<xsl:template match="bibliography">
-
-<article lang="en">
-<title>NEMO Survey - Known users</title>
-<articleinfo>
-<authorgroup>
-<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
-<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
-<!--++-->
-</authorgroup>
-<keywordset>
-<keyword>NEMO</keyword>
-</keywordset>
-<!-- ++ date -->
-</articleinfo>
-<highlights id="top">
- <xsl:element name="para">
-These pages intent to provide an form for every know user of NEMO with bibliography and information.
- </xsl:element>
- <xsl:element name="para">
-As you can imagine, this survey is not a new way to spy NEMO users and their work! The goal of this survey is simply collect and keep up-to-date information related to the use of NEMO: mainly the number of users and list of publications involving NEMO. These information and their temporal evolution are keys arguments when negotiating man-power or money to support our work. We tried to minimize as much as possible the time needed to fill this survey. Please, take a few minutes to fill it, this will greatly benefit to NEMO!
- </xsl:element>
-</highlights>
-<xsl:element name="para">
-   The mail sent by filling these forms will be used to update
-<ulink url="../../one/bibnemomain.php">Nemo-Puplications-Papers</ulink>
-and <ulink url="../../one/usernemo.html">Nemo Users</ulink>.
-</xsl:element>
-
-<para>
-Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
-</para>
-<para>
-Last update of the usernemo databank : <xsl:value-of select="document('usernemo.xml')/usersnemo/date"/>
-</para>
-
-<xsl:call-template name="table_authors">
- <xsl:with-param name="linktype" select="'external'"/>
-</xsl:call-template>
-
-<sect1 id="intro">
-<title>Intro</title>
-<para>
-This document provide bibliography and NEMO user's information sorted by author's id.
-</para>
-</sect1>
-
-<!-- loop on author_ids -->
-<xsl:for-each select="$list_author_ids">
- <xsl:sort order="ascending" data-type="text" select="."/>
- <xsl:variable name="author_id2">
-<xsl:call-template name="surname_id">
- <xsl:with-param name="surname" select="personname/surname"/>
-</xsl:call-template>
-<xsl:text>_</xsl:text>
-<xsl:call-template name="firstname_id">
- <xsl:with-param name="firstname" select="personname/firstname"/>
-</xsl:call-template>
-</xsl:variable>
-<!--
-<xsl:message terminate="no">
- noeud courant <xsl:value-of select="name(.)"/>
- author <xsl:value-of select="."/>
- author_id2 <xsl:value-of select="$author_id2"/>
-</xsl:message>
--->
- <xsl:call-template name="one_author_id">
-  <xsl:with-param name="author_id" select="$author_id2"/>
-  <xsl:with-param name="author_name" select="."/>
- </xsl:call-template>
-</xsl:for-each>
-
-</article>
-</xsl:template>
-
-<xsl:template match="bibliographyinfo/date"/>
-<xsl:template match="bibliography/title"/>
-
-<xsl:template name="one_author_id">
- <xsl:param name="author_id"/>
- <xsl:param name="author_name"/>
- <!--
- <xsl:message terminate="no">
-  call template avec <xsl:value-of select="$author_id"/>
-  et <xsl:value-of select="$author_name"/>
-  noeud courant <xsl:value-of select="name(.)"/>
- </xsl:message>
- -->
- <!--
- <xsl:message terminate="no">
-  author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
-  2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
- </xsl:message>
-  -->
- <xsl:element name="sect1">
-  <xsl:attribute name="id">
-   <xsl:value-of select="$author_id"/>
-  </xsl:attribute>
-  <xsl:element name="title">
-   <xsl:value-of select="$author_name"/>
-  </xsl:element>
-  <xsl:element name="para">
-As you can imagine, this survey is not a new way to spy NEMO users and their work! The goal of this survey is simply collect and keep up-to-date information related to the use of NEMO: mainly the number of users and list of publications involving NEMO. These information and their temporal evolution are keys arguments when negotiating man-power or money to support our work. We tried to minimize as much as possible the time needed to fill this survey. Please, take a few minutes to fill it, this will greatly benefit to NEMO!
-  </xsl:element>
-  <xsl:element name="para">
-   The mail sent by filling this form will be used to update
-<ulink url="../../one/bibnemomain.php">Nemo-Puplications-Papers</ulink>
-and <ulink url="../../one/usernemo.html">Nemo Users</ulink>.
-  </xsl:element>
-
-  <xsl:choose>
-   <xsl:when test="document('usernemo.xml')/usersnemo/usernemo[descendant::userid=$author_id]/userid = $author_id">
-    <xsl:call-template name="form_db">
-     <xsl:with-param name="author_id" select="$author_id"/>
-     <xsl:with-param name="usernemo" select="document('usernemo.xml')/usersnemo/usernemo[descendant::userid=$author_id]"/>
-     <xsl:with-param name="visu_modif" select="'modif'"/>
-     <xsl:with-param name="bibmode" select="'yes'"/>
-    </xsl:call-template>
-   </xsl:when>
-   <xsl:otherwise>
-    <xsl:call-template name="form_db">
-     <xsl:with-param name="author_id" select="$author_id"/>
-     <xsl:with-param name="usernemo" select="document('usernemo.xml')/usersnemo/usernemo[descendant::userid='template']"/>
-     <xsl:with-param name="visu_modif" select="'modif'"/>
-     <xsl:with-param name="bibmode" select="'yes'"/>
-    </xsl:call-template>
-   </xsl:otherwise>
-  </xsl:choose>
- </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet>
Index: /trunk/bibopa.sh
===================================================================
--- /trunk/bibopa.sh	(revision 20)
+++ /trunk/bibopa.sh	(revision 30)
@@ -5,7 +5,7 @@
 #    Dipole on the East African Short Rains: A CGCM Study, J. Climate, In
 #    press.
-#    
+#
 #    donnerait
-#    
+#
 #    <biblioentry id="behara2004">
 #    <authorgroup>
@@ -23,11 +23,11 @@
 #    Short Rains: A CGCM Study</title>
 #    <publishername>J. Climate</publishername>
-#    <bibliomisc role="doi">doi</bibliomisc>
+#    <biblioid class="doi">doi</bibliomisc>
 #    <bibliomisc role="pseudoref">In press.</bibliomisc>
-#    <bibliomisc role="internalref">from 
+#    <bibliomisc role="internalref">from
 #    http://www.lodyc.jussieu.fr/~opatlod/NEMO_v1/6_Menu/2_page/index.html
 #    2007-03-29T16:24:31Z fplod by hand</bibliomisc>
 #    </biblioentry>
-#    
+#
 #
 # example :
@@ -41,7 +41,9 @@
 #
 # update
-# ++ gestion des comments 
+# ++ gestion des comments
 # ++ gestion des id existants (cf à la fin)
 # ++ option debug
+# fplod 2007-06-20T17:18:02Z aedon.locean-ipsl.upmc.fr (Darwin)
+# <bibliomisc role="id"> replace by <biblioid class="doi">
 # smasson 2007-06-07T16:43:42Z arete.locean-ipsl.upmc.fr (Darwin)
 # Add journals
@@ -52,11 +54,11 @@
 # comments  (line begininig with #) are now possible
 # Sebastien Masson avril 2007 creation
-# 
+#
 
 rmbl () {
-    echo "$1" | sed -e "s/^ *//" | sed -e "s/ *$//"
+    echo "${1}" | sed -e "s/^ *//" | sed -e "s/ *$//"
 }
 cleanname () {
-    echo "$1" | sed -e "s/^ *//" \
+    echo "${1}" | sed -e "s/^ *//" \
 	-e "s/^ *,//" \
 	-e "s/^ *;//" \
@@ -84,14 +86,27 @@
 usage=" Usage : ${command} -i filein -t type"
 #
-while [ ! -z "${1}" ] # ++ pb bash
+minargcount=4
+echo " narg ${#}"
+if [ ${#} -lt ${minargcount} ]
+then
+  echo "eee : not enought arguments"
+  echo "${usage}"
+  exit 1
+fi
+#
+while [ ! -z "${1}" ]
 do
  case ${1} in
- -i) # filein 
+ -i) # filein
   filein=${2}
   shift
  ;;
- -t) # type 
+ -t) # type
   type=${2}
   shift
+ ;;
+ -h)
+  echo "${usage}"
+  exit 0
  ;;
  *) # other choice
@@ -102,8 +117,8 @@
  shift # next flag
 done
-# 
+#
 set -u
 #
-# check for filein 
+# check for filein
 if [ ! -f ${filein} ]
 then
@@ -128,5 +143,5 @@
  #read a #++ if debug
 ;;
-*) 
+*)
    echo "eee : type should be raw or mailbody"
    exit 1
@@ -237,11 +252,10 @@
 totlines=$( wc -l ${fileraw_strict} | awk '{print $1}' )
 l=1
-while [ $l -le $totlines  ]
+while [ ${l} -le ${totlines}  ]
 do
 # extract one line
-
   line=$( sed -n ${l}p ${fileraw_strict} )
-  orgline=$( echo $line | sed -e "s/--/- -/g" )
-  line=$( echo $line | sed -e "s/</\&lt;/g" -e "s/>/\&gt;/g" )
+  orgline=$( echo ${line} | sed -e "s/--/- -/g" )
+  line=$( echo ${line} | sed -e "s/</\&lt;/g" -e "s/>/\&gt;/g" )
 # before the first :
   tmp=${line%%:*}
@@ -249,24 +263,24 @@
   auths=${tmp%,*},
 # supress and
-  auths=$( echo "$auths" | sed -e "s/ and //g" )
+  auths=$( echo "${auths}" | sed -e "s/ and //g" )
 # after the last ,
   year=${tmp##*,}
-  year=$( rmbl "$year" )
+  year=$( rmbl "${year}" )
 ## first author before the first .,
   first=${auths%%.,*}.
 # its firstname after the last ,
   firstfn=${first##*,}
-  firstfn=$( rmbl "$firstfn" )
+  firstfn=$( rmbl "${firstfn}" )
 # its surname ; before the first ,
   firstsn=${first%%,*}
-  firstsn=$( rmbl "$firstsn" )
+  firstsn=$( rmbl "${firstsn}" )
 ## ref id
-  refid=$( echo $firstsn | tr "[:upper:]" "[:lower:]" | tr -s " " "_"  | tr -s "'" "_" | recode -d -f ISO-8859-1..flat )$year
-  num=$( grep -c "<biblioentry id=\"${refid}_[0-9][0-9]\">" $fileou )
-  num=$(( $num + 1 ))
-  [ $num -le 9 ] && num=0$num 
-  refid=${refid}_$num
-  
-	  cat <<EOF >> $fileou
+  refid=$( echo ${firstsn} | tr "[:upper:]" "[:lower:]" | tr -s " " "_"  | tr -s "'" "_" | recode -d -f ISO-8859-1..flat )${year}
+  num=$( grep -c "<biblioentry id=\"${refid}_[0-9][0-9]\">" ${fileou} )
+  num=$(( ${num} + 1 ))
+  [ ${num} -le 9 ] && num=0${num}
+  refid=${refid}_${num}
+
+	  cat <<EOF >> ${fileou}
 <biblioentry id="${refid}">
   <!-- date
@@ -274,10 +288,10 @@
   -->
   <!-- original text
-  $orgline
+  ${orgline}
   -->
   <authorgroup>
     <author> <personname> <surname>${firstsn}</surname> <firstname>${firstfn}</firstname> </personname> </author>
 EOF
-  
+
 ## other authors..
   previous=${first},
@@ -285,5 +299,5 @@
   next=${auths##*${previous}}
 # while the next author is not empty
-  while [  "$next" != "" ]
+  while [  "${next}" != "" ]
     do
 # get the first next author; before the first ,
@@ -291,65 +305,66 @@
 # its surname ; after the last .
     nextsn=${next##*.}
-    nextsn=$( rmbl "$nextsn" )
+    nextsn=$( rmbl "${nextsn}" )
 # its firstname ; before the last .
     nextfn=${next%.*}.
-    nextfn=$( rmbl "$nextfn" )
+    nextfn=$( rmbl "${nextfn}" )
 #
     echo "    <author> <personname> <surname>${nextsn}</surname> <firstname>${nextfn}</firstname> </personname> </author>" >> ${fileou}
+    echo "    <author> <personname> <surname>${nextsn}</surname> <firstname>${nextfn}</firstname> </personname> </author>"  #++debug
     previous=${next},
     next=${auths##*${previous}}
-    
+
   done
-  echo "  </authorgroup>"  >> $fileou
-  
+  echo "  </authorgroup>"  >> ${fileou}
+
 # end of the line ; after the first :
   endline=${line#*:}
-  
+
 ## find the journal
   j=1
   jfound=""
   jlistsize=${#jlist[@]}
-  while [[ $j -le $jlistsize && "${jfound}" == "" ]]
+  while [[ ${j} -le ${jlistsize} && "${jfound}" == "" ]]
     do
-    ok=$( echo $endline | grep -ci "${jlist[j]} *," ) 
+    ok=$( echo ${endline} | grep -ci "${jlist[j]} *," )
     [ $ok -eq 1 ] && jfound="${jlist[j]}"
-    j=$(( $j + 1 ))
+    j=$(( ${j} + 1 ))
   done
-  if [ "$jfound" == "" ]
+  if [ "${jfound}" == "" ]
       then
-      echo ERROR Journal not found
-      echo $endline
+      echo "eee: Journal not found "
+      echo "${endline}"
       exit
   fi
-## title 
+## title
 # before the first :
   title=${endline%%${jfound}*}
-  title=$( cleanname "$title" )
-  echo "  <title>${title}</title>" >> $fileou
-## end 
+  title=$( cleanname "${title}" )
+  echo "  <title>${title}</title>" >> ${fileou}
+## end
 ## end of the line ; after the first ${jfound}
   endline=${endline#*${jfound}}
-  endline=$( cleanname "$endline" )
+  endline=$( cleanname "${endline}" )
 ## doi
-  endline=$( echo $endline | sed -e "s/[dD][oO][iI] *\t* *: *\t* */doi:/" )
-  ok=$( echo $endline | grep -ic "doi:" )
-  if [ $ok -eq 1 ]
+  endline=$( echo ${endline} | sed -e "s/[dD][oO][iI] *\t* *: *\t* */doi:/" )
+  ok=$( echo ${endline} | grep -ic "doi:" )
+  if [ ${ok} -eq 1 ]
       then
       doi=${endline##*doi:}
-      echo "  <bibliomisc role=\"doi\">${doi}</bibliomisc>" >> $fileou
+      echo "  <biblioid class=\"doi\">${doi}</biblioid>" >> ${fileou}
       endline=${endline%doi:*}
-      endline=$( cleanname "$endline" )
+      endline=$( cleanname "${endline}" )
   else
-      echo non doi: $line
+      echo "non doi: ${line}"
   fi
-  num=$( echo $endline |  tr -dc "," | wc -c )
-  case $num in
-      1) 
-### echo $num: ${endline}
+  num=$( echo ${endline} |  tr -dc "," | wc -c )
+  case ${num} in
+      1)
+### echo ${num}: ${endline}
 	  vol=${endline%,*}
-	  vol=$( cleanname "$vol" )
-	  pag=${endline##*,} 
-	  pag=$( cleanname "$pag" )
-	  cat <<EOF >> $fileou
+	  vol=$( cleanname "${vol}" )
+	  pag=${endline##*,}
+	  pag=$( cleanname "${pag}" )
+	  cat <<EOF >> ${fileou}
   <biblioset relation="journal">
     <title>${jfound}</title>
@@ -359,14 +374,14 @@
 EOF
       ;;
-      2) 
+      2)
 	  vol=${endline%,*}
-	  vol=$( cleanname "$vol" )
-	  iss=${vol##*,} 
-	  iss=$( cleanname "$iss" )
+	  vol=$( cleanname "${vol}" )
+	  iss=${vol##*,}
+	  iss=$( cleanname "${iss}" )
 	  vol=${vol%,*}
-	  vol=$( cleanname "$vol" )
-	  pag=${endline##*,} 
-	  pag=$( cleanname "$pag" )
-	  cat <<EOF >> $fileou
+	  vol=$( cleanname "${vol}" )
+	  pag=${endline##*,}
+	  pag=$( cleanname "${pag}" )
+	  cat <<EOF >> ${fileou}
   <biblioset role="journal">
     <title>${jfound}</title>
@@ -377,6 +392,6 @@
       ;;
       *)
-echo $num: ${endline}
-	  cat <<EOF >> $fileou
+echo ${num}: ${endline}
+	  cat <<EOF >> ${fileou}
   <biblioset role="journal">
     <title>${jfound}</title>
@@ -387,18 +402,18 @@
       ;;
   esac
- 
-	  cat <<EOF >> $fileou
+
+	  cat <<EOF >> ${fileou}
 </biblioentry>
-  
-EOF
-
-
-
-
-  
-  l=$(( $l + 1 ))
-  
+
+EOF
+
+
+
+
+
+  l=$(( ${l} + 1 ))
+
 done
-echo "</bibliography>" >> $fileou
+echo "</bibliography>" >> ${fileou}
 
 xsltproc \
@@ -411,9 +426,9 @@
 # clean
 echo "iii : xml.err contains stderr from the following command "
-echo "iii : which was done just to check consistence of ${fileou}" 
+echo "iii : which was done just to check consistence of ${fileou}"
 echo "iii : xmlto pdf ${fileou}"
 rm -i xml.err
 case ${type} in
-raw) 
+raw)
  echo "iii : ${fileraw_strict} contains a copy of input file without comments"
  rm -i ${fileraw_strict}
Index: unk/checklink.sh
===================================================================
--- /trunk/checklink.sh	(revision 20)
+++ 	(revision )
@@ -1,76 +1,0 @@
-#! /bin/sh
-#
-# module :
-# vérification des liens bibnemomaf pré et post-installation
-# cf. install.sh
-#
-# source :
-# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/checklink.sh sur aedon.locean-ipsl.upmc.fr
-#
-# mise à jour :
-# fplod 2007-04-04T14:09:14Z aedon.locean-ipsl.upmc.fr (Darwin)
-# création
-#
-set -u
-set -o posix
-command=$(basename ${0})
-#  
-# ++ simu paramètre
-DIRWWW=/usr/temp/${LOGNAME}/public_html/bibnemomaf/
-#
-checklinkopt="--summary --recursive"
-#
-# is checklink available 
-type checklink 1> /dev/null 2>&1
-checklink_status=${?}
-if [ ${checklink_status} -ne 0 ]
-then
-   echo "${command} : eee : checklink unavailable"
-   exit 1
-fi
-#
-echo " "
-fverif=${DIRWWW}/en/one/bibnemomaf00.html
-nfverif=www_en_one_bibnemomaf00.html
-echo " Do you want to check ${fverif} (y|[n]) ?"
-answer=" "
-read answer
-case ${answer} in
- Y|y)
- log=/tmp/checklink${nfverif}.log
- err=/tmp/checklink${nfverif}.err
- echo "verif de ${fverif}"
- checklink \
- ${checklinkopt} \
- ${fverif} \
- 1> ${log} 2> ${err}
- echo "iii : log in ${log}"
- ;;
- *)
- echo "no check ${fverif}"
- ;;
-esac
-#
-echo " "
-fverif=${DIRWWW}/en/one/bibnemomaf01.html
-nfverif=www_en_one_bibnemomaf01.html
-echo " Do you want to check ${fverif} (y|[n]) ?"
-answer=" "
-read answer
-case ${answer} in
- Y|y)
- log=/tmp/checklink${nfverif}.log
- err=/tmp/checklink${nfverif}.err
- echo "verif de ${fverif}"
- checklink \
- ${checklinkopt} \
- ${fverif} \
- 1> ${log} 2> ${err}
- echo "iii : log in ${log}"
- ;;
- *)
- echo "no check ${fverif}"
- ;;
-esac
-#
-exit
Index: /trunk/data/biball.xml
===================================================================
--- /trunk/data/biball.xml	(revision 20)
+++ /trunk/data/biball.xml	(revision 30)
@@ -42,5 +42,5 @@
   <biblioid class="doi">10.1016/j.ocemod.2004.08.003</biblioid>
 -->
-  <biblioid class="doi">AAA</biblioid>
+  <biblioid class="dio">AAA</biblioid>
   <biblioset role="journal">
     <title>Ocean Modelling</title>
Index: /trunk/data/bibdemo1.xml
===================================================================
--- /trunk/data/bibdemo1.xml	(revision 30)
+++ /trunk/data/bibdemo1.xml	(revision 30)
@@ -0,0 +1,224 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+<bibliography id="bibdemo1" xml:lang="en">
+<!--
+a set of references extracted from Cantratrix Sopronica L. written by
+Georges Perec
+
+find in http://www-rocq.inria.fr/who/Marc.Thiriet/PsFil/Biblio/cantatrix.ps
+
+update :
+$Id$
+++ language mix of French and English
+fplod 2007-09-28T10:45:20Z aedon.locean-ipsl.upmc.fr (Darwin)
+creation
+-->
+
+<bibliographyinfo>
+<date>2007-09-21T12:55:36Z</date>
+</bibliographyinfo>
+<biblioentry id="colle1973_01">
+  <!-- original text
+Colle, E., Etahl, E. & Others, S. Leguminase pathways in the rain. A new theory. J. Neurochem. Neurocytol. Enzymol. 1, 8-345, 1973
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Colle</surname> <firstname>E.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Etahl</surname> <firstname>E.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Others</surname> <firstname>S.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title>  
+Leguminase pathways in the rain. A new theory.
+  </title>  
+  <biblioset relation="journal">
+    <title>J. Neurochem. Neurocytol. Enzymol.</title>
+    <volumenum>1</volumenum>
+    <pagenums>8-345</pagenums>
+    <pubdate>1973</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="einstein1974_01">
+  <!-- original text
+Einstein, Z., Zweistein, D., Dreistein, V., Vierstein, F. J & St. Pierre, E. Spatial integration in the temporal cortex. Res. Proc. neurophysiol. Fanatic Soc. 1, 45-52, 1974.
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Einstein</surname> <firstname>Z.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Zweistein</surname> <firstname>D.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Dreistein</surname> <firstname>V.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Vierstein</surname> <firstname>F. J.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>St. Pierre</surname> <firstname>E.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title>  Spatial integration in the temporal cortex </title>  
+    <biblioset relation="journal"> 
+    <title>Res. Proc. neurophysiol. Fanatic Soc.</title>
+    <volumenum>1</volumenum>
+    <pagenums>45-52</pagenums>
+    <pubdate>1974</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="harvar1973_01">
+  <!-- original text
+Harvar, D. & Mercy, B.C.P. Reward and punishment in Olympic throwers. Hammersmith J. 134, 12-15, 1973
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Harvar</surname> <firstname>D.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Mercy</surname> <firstname>B.C.P.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title>  
+Reward and punishment in Olympic throwers
+  </title>  
+  <biblioset relation="journal">
+    <title>Hammersmith J.</title>
+    <volumenum>134</volumenum>
+    <pagenums>12-15</pagenums>
+    <pubdate>1973</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="else1974_01">
+  <!-- original text
+Else, K. & Vire, A. de. 45-years tomato throwing on amateur Singers. New Records Ass. J. 27, 37-38,1974.
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Else</surname> <firstname>K.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Vire</surname> <firstname>A.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title> 45-years tomato throwing on amateur Singers 
+  </title>  
+  <biblioset relation="journal">
+    <title>New Records Ass. J.</title>
+    <volumenum>27</volumenum>
+    <pagenums>37-38</pagenums>
+    <pubdate>1974</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="marks1899_01">
+  <!-- original text
+Marks, C.N.R.S. & Spencer, D.G.R.S.T. About the frightening reactions that accompanied rst performances of Il Trovatore at the Metropolitan. Amer. J. music. Deciency, 7, 3-6,1899.
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Marks</surname> <firstname>C.N.R.S.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Spencer</surname> <firstname>D.G.R.S.T.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title> About the frightening reactions that accompanied rst performances of Il Trovatore at the Metropolitan 
+  </title>  
+  <biblioset relation="journal">
+    <title>Amer. J. music. Deciency</title>
+    <volumenum>7</volumenum>
+    <pagenums>3-6</pagenums>
+    <pubdate>1899</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="mace1912_01">
+  <!-- original text
+Mace, I. & Doyne, J. Sur les dierents types de reactions tomateuses chez la Cantatrice. Gaz. med. franco-rus. 6, 6-11, 1912.
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Mace</surname> <firstname>I.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Doyne</surname> <firstname>J.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title> Sur les dierents types de reactions tomateuses chez la Cantatrice 
+  </title>  
+  <biblioset relation="journal">
+    <title>Gaz. med. franco-rus.</title>
+    <volumenum>6</volumenum>
+    <pagenums>6-11</pagenums>
+    <pubdate>1912</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="others1974_01">
+  <!-- original text
+Others, S., Colle, E. & Etahl, E. The enzymase enigma revisited. Am. J. Allegrol. 43, 234-567, 1974
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Others</surname> <firstname>S.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Colle</surname> <firstname>E.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Etahl</surname> <firstname>E.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title>  The enzymase enigma revisited
+  </title>  
+  <biblioset relation="journal">
+    <title>Am. J. Allegrol.</title>
+    <volumenum>43</volumenum>
+    <pagenums>234-567</pagenums>
+    <pubdate>1974</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="payre1916_01">
+  <!-- original text
+Payre, L. & Tairnelle, E. Sur le sursaut tomateux du Baryton leger. C.r. Assoc. Conc. Lam. 45, 6-7, 1916.
+  -->
+  <authorgroup>
+    <author> 
+      <personname> <surname>Payre</surname> <firstname>L.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>Tairnelle</surname> <firstname>E.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title> Sur le sursaut tomateux du Baryton leger 
+  </title>  
+  <biblioset relation="journal">
+    <title>C.r. Assoc. Conc. Lam.</title>
+    <volumenum>45</volumenum>
+    <pagenums>6-7</pagenums>
+    <pubdate>1916</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry id="wait1972_01">
+  <!-- original text
+Wait, H. & See, C. Balistic requirements in tomato throwing a splatching. Nasa Rept. No 68/675/002/F4, 1-472, 1972.
+  --> 
+  <authorgroup>
+    <author> 
+      <personname> <surname>Wait</surname> <firstname>H.</firstname> </personname> 
+    </author>
+    <author> 
+      <personname> <surname>See</surname> <firstname>C.</firstname> </personname> 
+    </author>
+  </authorgroup>
+  <title> Balistic requirements in tomato throwing a splatching 
+  </title>  
+  <biblioset relation="journal">
+    <title>Nasa Rept.</title>
+    <volumenum>68/675/002/F4</volumenum>
+    <pagenums>1-472</pagenums>
+    <pubdate>1972</pubdate>
+  </biblioset>
+</biblioentry>
+</bibliography>
Index: /trunk/form_db.xsl
===================================================================
--- /trunk/form_db.xsl	(revision 20)
+++ /trunk/form_db.xsl	(revision 30)
@@ -9,4 +9,6 @@
 
 update :
+fplod 2007-10-17T08:07:50Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve sort (diacriticals)
 fplod 2007-05-18T14:56:32Z aedon.locean-ipsl.upmc.fr (Darwin)
 modif gestion de id
@@ -113,6 +115,5 @@
 
      <xsl:for-each select="descendant::author">
-      <xsl:sort order="ascending" data-type="text" select="./personname/surname"/>
-      <xsl:sort order="ascending" data-type="text" select="./personname/firstname"/>
+      <xsl:sort order="ascending" data-type="text" select="translate(./personname,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
       <xsl:variable name="author_id2">
 <xsl:call-template name="surname_id">
Index: /trunk/insertphp_many.sed
===================================================================
--- /trunk/insertphp_many.sed	(revision 30)
+++ /trunk/insertphp_many.sed	(revision 30)
@@ -0,0 +1,18 @@
+#
+# module
+# ajoute des commandes php dans des fichiers html
+#
+# source
+# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/insertphp_many04.sed sur aedon.locean-ipsl.upmc.fr
+#
+# see also insertphp_one.sed
+#
+# update
+# fplod 2007-05-09T09:10:31Z aedon.locean-ipsl.upmc.fr (Darwin)
+# creation parce que ++je n'arrive pas à faire marcher les
+# ++xsl:processing-instructions
+#
+s@<input name="server" type="hidden" value="" />@<input name="server" type="hidden" value="<?php include("../../../php/server.php"); ?>" />@
+s@<input name="phpversion" type="hidden" value="" />@<input name="phpversion" type="hidden" value="<?php include("../../../php/phpversion.php"); ?>" />@
+s@<input name="timestamp" type="hidden" value="" />@<input name="timestamp" type="hidden" value="<?php include("../../../php/timestamp.php"); ?>" />@
+s@NEMO survey@NEMO survey <?php include("../../../php/timestamp.php"); ?>@
Index: unk/insertphp_many04.sed
===================================================================
--- /trunk/insertphp_many04.sed	(revision 20)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#
-# module
-# ajoute des commandes php dans des fichiers html
-#
-# source
-# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/insertphp_many04.sed sur aedon.locean-ipsl.upmc.fr
-#
-# see also insertphp_one.sed
-#
-# update
-# fplod 2007-05-09T09:10:31Z aedon.locean-ipsl.upmc.fr (Darwin)
-# creation parce que ++je n'arrive pas à faire marcher les
-# ++xsl:processing-instructions
-#
-s@<input name="server" type="hidden" value="" />@<input name="server" type="hidden" value="<?php include("../../../php/server.php"); ?>" />@
-s@<input name="phpversion" type="hidden" value="" />@<input name="phpversion" type="hidden" value="<?php include("../../../php/phpversion.php"); ?>" />@
-s@<input name="timestamp" type="hidden" value="" />@<input name="timestamp" type="hidden" value="<?php include("../../../php/timestamp.php"); ?>" />@
-s@NEMO survey@NEMO survey <?php include("../../../php/timestamp.php"); ?>@
Index: /trunk/install.sh
===================================================================
--- /trunk/install.sh	(revision 20)
+++ /trunk/install.sh	(revision 30)
@@ -2,21 +2,51 @@
 #
 # module :
-# installation des pages bibnemomaf dans DIRFINAL* donné en argument
-# à partir des fichiers produits ou copiés ou liés sous DIRWWW 
-# donné en argument
+# publication (rsync) of dirwww content on dirpublish given in argument
 #
-# nb : !!! attention utilisation du compte fplod@aedon.lodyc.jussieu.fr
-#
-# source :
-# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/install.sh sur aedon.locean-ipsl.upmc.fr
+# If the host of publication is cerbere.locean-ipsl.upmc.fr, update_web is
+# launched.
 #
 # update
+# $Id$
+# fplod 2007-09-28T09:30:43Z aedon.locean-ipsl.upmc.fr (Darwin)
+# parametrisation and translation
 # smasson 2007-06-07T16:43:42Z arete.locean-ipsl.upmc.fr (Darwin)
 # can give the answer with input parameters
 # fplod 2007-04-26T11:51:42Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-# ++ simu paramètre
-DIRFINALLOCEAN=smasson@arete.locean-ipsl.upmc.fr:Sites/bibnemomaf/
-DIRWWW=/tmp/bibopa/
+set -o posix
+command=$(basename ${0} .sh)
+log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
+log=/tmp/${command}.${log_date}
+#
+usage=" Usage : ${command} -w dirwww -p dirpublish"
+#
+minargcount=4
+#echo " narg ${#}"
+if [ ${#} -lt ${minargcount} ]
+then
+  echo "eee : not enought arguments"
+  echo "${usage}"
+  exit 1
+fi
+#
+while [ ! -z "${1}" ]
+do
+ case ${1} in
+ -w)
+  dirwww=${2}
+  shift
+ ;;
+ -p)
+  dirpublish=${2}
+  shift
+ ;;
+ esac
+ shift # next flag
+done
+#
+set -u
+#
+# ++ check directories
 #
 answer=${1:-" "}
@@ -25,41 +55,24 @@
 	;;
     *)
-	echo "Do you want to install on ${DIRFINALLOCEAN}  (y|[n]) ?"
-	read answer   
+	echo "Do you want to install on ${dirpublish}  (y|[n]) ?"
+	read answer
 	;;
 esac
 case ${answer} in
  y|Y)
- # copy of ${DIRWWW} on $DIRFINALLOCEAN
- echo "iii : update of ${DIRFINALLOCEAN}"
- rsync -av -e ssh ${DIRWWW}/ ${DIRFINALLOCEAN}
- # pas sur aedon ssh fplod@cerbere.lodyc.jussieu.fr /usr/local_linux/bin/update_web
+ # copy of ${dirwww} on $dirpublish
+ echo "iii : update of ${dirpublish}"
+ rsync -av -e ssh ${dirwww}/ ${dirpublish}
+ # detect if in dirpublish following this pattern [USER@]HOST:SRC, HOST
+ # is cerbere.locean-ipsl.upmc.fr. If so, update_web is launched
+ userhost=${dirpublish%%:*}
+ host=${userhost##*@}
+ if [ "${host}" = "cerbere.locean-ipsl.upmc.fr" ]
+ then
+  ssh ${userhost} /usr/local_linux/bin/update_web
+ fi
  ;;
  *)
- echo "no update of ${DIRFINALLOCEAN}"
- ;;
-esac
-#
-# ++ simu paramètre
-DIRFINALLOCEAN=opatlod@cerbere.locean-ipsl.upmc.fr:NEMO/general/biblio_new/
-#
-answer=${2:-" "}
-case ${answer} in
-    y|Y|n|N)
-	;;
-    *)
-	echo "Do you want to install on ${DIRFINALLOCEAN}  (y|[n]) ?"
-	read answer   
-	;;
-esac
-case ${answer} in
- y|Y)
- # copy of ${DIRWWW} on $DIRFINALLOCEAN
- echo "iii : update of ${DIRFINALLOCEAN}"
- rsync -av -e ssh ${DIRWWW}/ ${DIRFINALLOCEAN}
- ssh opatlod@cerbere.lodyc.jussieu.fr /usr/local_linux/bin/update_web
- ;;
- *)
- echo "no update of ${DIRFINALLOCEAN}"
+ echo "no update of ${dirpublish}"
  ;;
 esac
Index: /trunk/linkchecker.sh
===================================================================
--- /trunk/linkchecker.sh	(revision 20)
+++ /trunk/linkchecker.sh	(revision 30)
@@ -2,77 +2,138 @@
 #
 # module :
-# check links of bibnemomaf before and after installation
+# check links of acmo before and after installation
 # cf. install.sh
 #
 # original location :
-# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/linkchecker.sh sur aedon.locean-ipsl.upmc.fr
+# /usr/home/fplod/locean/acmo/doc/linkchecker.sh sur aedon.locean-ipsl.upmc.fr
 #
-# update ::
-# fplod 2007-04-04T14:09:58Z aedon.locean-ipsl.upmc.fr (Darwin)
-# creation
+# update :
+# ++ linkchecker ne voit pas les erreurs !!
+# ++ dirpublish forme fplod@cerbere.locean-ipsl.upmc.fr:./WWW/ par example
+# donc pas http
+# + ajouter la possibilite rde faire une carte du site avec
+# graphiz
+# exemple synatxe =
+# $ linkchecker -odot -v http://www.lodyc.jussieu.fr/NEMO/general/biblio_new/   | dot -Tps > sitemap.ps
 #
-set -u
+# remove "set -u" because I don't know how to test if there is at least
+# one directory AND one url to be checked without this option
+# !! ++ must be restore ASAP
+# fplod 2007-10-12T07:32:08Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add -u pour url
+# add multiple -d and suppression of interactivity
+# replace -w by -d (more generic)
+# use rather checklink than linkchecker because the first one exist either
+# on Mac and Unix, and because the second one exists only on Mac and
+# does'nt seem to detect every problem
+# fplod 2007-10-11T15:31:25Z aedon.locean-ipsl.upmc.fr (Darwin)
+# parametrization
+# merge with checklink.sh ++ choisir entre les deux
+# fplod 2007-06-19T09:26:04Z aedon.locean-ipsl.upmc.fr (Darwin)
+# création
+#
 set -o posix
-command=$(basename ${0})
+command=$(basename ${0} .sh)
+log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
+log=/tmp/${command}.log.${log_date}
 #
-# ++ simu paramètre
-DIRWWW=/usr/temp/${LOGNAME}/public_html/bibnemomaf/
+usage=" Usage : ${command} -d dircheck -u url"
 #
-linkcheckeropt="--anchors --recursion-level=-1"
-#
-# test if linkchecker is available
-type linkchecker 1> /dev/null 2>&1
-status=${?}
-if [ ${status} -ne 0 ]
+minargcount=2
+#echo " narg ${#}"
+if [ ${#} -lt ${minargcount} ]
 then
- echo " eee : linkchecker not found"
- exit 1
+  echo "eee : not enought arguments"
+  echo "${usage}"
+  exit 1
 fi
 #
-echo " "
-#++fverif=${DIRWWW}/en/one/bibnemomaf00.html
-fverif="file://"${DIRWWW}/en/one/bibnemomaf00.html
-nverif=wwwone00
-echo " Do you want to check ${fverif} (y|[n]) ?"
-anwser=" "
-read anwser
-case ${anwser} in
- y|Y)
- log=/tmp/linkchecker${nverif}.log
- err=/tmp/linkchecker${nverif}.err
- echo "iii : check of ${fverif}"
- linkchecker \
- ${linkcheckeropt} \
- ${fverif} \
- 1> ${log} 2> ${err}
- echo "iii : log in ${log}"
+idircheck=0
+iurl=0
+while [ ! -z "${1}" ]
+do
+ case ${1} in
+ -d)
+  idircheck=$(( ${idircheck} + 1 ))
+  dircheck[${idircheck}]=${2}
+  shift
  ;;
- *)
- echo "iii : no check of ${fverif}"
+ -u)
+  iurlcheck=$(( ${iurlcheck} + 1 ))
+  urlcheck[${iurlcheck}]=${2}
+  shift
  ;;
-esac
+ esac
+ shift # next flag
+done
 #
-echo " "
-#++fverif=${DIRWWW}/en/one/bibnemomaf01.html
-fverif="file://"${DIRWWW}/en/one/bibnemomaf01.html
-nverif=wwwone00
-echo " Do you want to check ${fverif} (y|[n]) ?"
-anwser=" "
-read anwser
-case ${anwser} in
- y|Y)
- log=/tmp/linkchecker${nverif}.log
- err=/tmp/linkchecker${nverif}.err
- echo "iii : check of ${fverif}"
- linkchecker \
- ${linkcheckeropt} \
- ${fverif} \
- 1> ${log} 2> ${err}
- echo "iii : log in ${log}"
- ;;
- *)
- echo "iii : no check of ${fverif}"
- ;;
-esac
+# +++ remove temporarily 
+# +++ set -u
 #
+# ++ check directories or URL
+#
+# choose the command to be used
+#
+commandcheck=checklink
+#
+if [ ${commandcheck} = "linkchecker" ]
+then
+   # test if linkchecker is available
+   type ${commandcheck} 1> /dev/null 2>&1
+   status=${?}
+   if [ ${status} -ne 0 ]
+   then
+    echo "${command} : eee : ${commandcheck} unavailable"
+    exit 1
+   fi
+   optcheck="--anchors --recursion-level=-1"
+fi
+#
+if [ ${commandcheck} = "checklink" ]
+then
+   # test if checklink is available
+   type ${commandcheck} 1> /dev/null 2>&1
+   status=${?}
+   if [ ${status} -ne 0 ]
+   then
+      echo "${command} : eee : ${commandcheck} unavailable"
+      exit 1
+   fi
+#
+   optcheck="--summary --recursive"
+fi
+#
+# loop on directories to be checked
+dirchecksize=${#dircheck[@]} # ++ pb set -u
+if [ ${dirchecksize} -gt 0 ]
+then
+   idircheck=1
+   while [ ${idircheck} -le ${dirchecksize} ]
+   do
+      echo "iii : beginning of check of ${dircheck[${idircheck}]}" 1>>${log}
+      fverif="file://"${dircheck[${idircheck}]}
+      echo "iii : check of ${fverif}"
+      ${commandcheck} ${optcheck} ${fverif} 1>>${log} 2>&1
+      idircheck=$(( ${idircheck} + 1 ))
+   done
+fi
+#
+# loop on urls to be checked
+urlchecksize=${#urlcheck[@]} # ++ pb set -u
+if [ ${urlchecksize} -gt 0 ]
+then
+   iurlcheck=1
+   while [ ${iurlcheck} -le ${urlchecksize} ]
+   do
+      echo "iii : beginning of check of ${urlcheck[${iurlcheck}]}" 1>>${log}
+      # ++ test si urlcheck commence par http ou pas
+      fverif=${urlcheck[${iurlcheck}]}
+      echo "iii : check of ${fverif}"
+      ${commandcheck} ${optcheck} ${fverif} 1>>${log} 2>&1
+      iurlcheck=$(( ${iurlcheck} + 1 ))
+   done
+fi
+#
+echo "iii : log in ${log}"
+# end
 exit
Index: /trunk/mailtousernemo.sh
===================================================================
--- /trunk/mailtousernemo.sh	(revision 20)
+++ /trunk/mailtousernemo.sh	(revision 30)
@@ -312,5 +312,5 @@
 #
 # ++ parce que je ne sais pas dire où est la dtd dans la commande xmllint
-cp usernemo.dtd /tmp/ 
+cp usernemo.dtd /tmp/
 xmllint --noout --valid ${xmloutputfull} 1>> ${log} 2>> ${log}
 status=${?}
Index: /trunk/makefile
===================================================================
--- /trunk/makefile	(revision 20)
+++ /trunk/makefile	(revision 30)
@@ -7,6 +7,10 @@
 # update :
 # $Id$
+# fplod 2007-10-12T09:40:01Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add linkcheck
 # ++ les dépendences ne marchent pas bien
 # ++ la génération de pdf ne marchent pas bien sans doute à cause des images top
+# fplod 2007-09-28T08:56:17Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add before and install targets
 # fplod 2007-06-06T10:23:19Z aedon.locean-ipsl.upmc.fr (Darwin)
 # change hard coded DIRBASE
@@ -40,4 +44,21 @@
 /tmp/bibopa/
 
+# here are some examples of DIRPUBLISH, the first on for Seb on his Mac,
+# the second one for me (Françoise) on mine
+# the third for me (Françoise) on my home page http://www.locean-ipsl.upmc.fr/~fplod/superbibdemo/
+#
+# the real one for NEMO is opatlod@cerbere.locean-ispl.upmc.fr:NEMO/general/biblio_new/
+#
+# comment all of them and define your own
+#
+#DIRPUBLISH = \
+#smasson@arete.locean-ipsl.upmc.fr:Sites/bibnemomaf/
+
+#DIRPUBLISH = \
+#fplod@aedon.locean-ipsl.upmc.fr:Sites/superbibdemo/
+
+DIRPUBLISH = \
+fplod@cerbere.locean-ipsl.upmc.fr:./WWW/superbibdemo/
+
 MAKEDATE = \
 `date -u +"%Y-%m-%dT%H:%M:%SZ"`
@@ -74,24 +95,44 @@
 
 help :
+	@echo "Define in the makefile localisations of :"
+	@echo " - sources (DIRSRC) where you \"svn checkout\" superbib"
+	@echo " - temporary Web pages (DIRWWW), where you can check links before publication"
+	@echo "- published Web pages (DIRPUBLISH)"
+	@echo ""
 	@echo "Prepare output directories :"
-	@echo "$ ./avant.sh"
+	@echo "$ make before"
+	@echo ""
 	@echo "identify bibliography databank; for example :"
 	@echo "$ ln -sf data/biball.xml bibrefnemo.xml"
 	@echo "check for duplicate DOI; for example :"
 	@echo "$ ./twindoi.sh -i bibrefnemo.xml -t xml"
+	@echo ""
 	@echo "identify usernemo databank; for example :"
 	@echo "$ ln -sf data/usernemo.xml usernemo.xml"
 	@echo "$ ln -sf data/usernemo.dtd usernemo.dtd"
+	@echo ""
 	@echo "Following commands are available to build outputs :"
 	@echo "$ make html_en"
 	@echo "$ make pdf_en"
+	@echo " "
+	@echo "Check links before installation : "
+	@echo "make htmllinkcheckb"
+	@echo " "
 	@echo "Last step = installation"
-	@echo "$ ./install.sh"
+	@echo "$ make install"
+	@echo " "
+	@echo "Check links after installation : "
+	@echo "make htmllinkchecka"
 	@echo " "
 	@echo "if you move this product to an other place, "
-	@echo "change DIRWWW,DIRBASE,DIRTMP in makefile"
-	@echo "change DIRSRC,DIRWWW in ./avant.sh"
-	@echo "change DIRFINALLOCEAN,DIRWWW in ./install.sh"
-
+	@echo "change parameters in the call sequence of ./before.sh and ./install.sh"
+	@echo "and in the call sequence of in ./install.sh"
+	@echo "in this makefile"
+
+before :
+	./before.sh -p $(PRODUIT) -s $(DIRSRC) -w $(DIRWWW) -multi -l en -m 2
+
+install :
+	./install.sh -w $(DIRWWW) -p $(DIRPUBLISH)
 clean :
 	-@rm -fr $(DIRWWW)/
@@ -111,6 +152,6 @@
 	-@rm -f $(DIRTMP)/$(PRODUIT)02_dblatex.err
 	-@rm -f $(DIRTMP)/$(PRODUIT)02_dblatex.log
-	-@rm -f $(DIRTMP)/$(PRODUIT)03.xml
-	-@rm -f $(DIRTMP)/$(PRODUIT)04.xml
+	-@rm -f $(DIRTMP)/bibliomany01.xml
+	-@rm -f $(DIRTMP)/bibliomany02.xml
 	-@rm -f $(DIRTMP)/titlepage.$(PRODUIT).xsl
 	-@rm -f $(DIRTMP)/$(PRODUIT2)_db.xml
@@ -121,4 +162,10 @@
 	-@rm -f $(DIRTMP)/template_db.xml
 
+htmllinkcheckb :
+	@linkchecker.sh -d $(DIRWWW)
+
+htmllinkchecka :
+	@linkchecker.sh -d $(DIRPUBLISH)
+
 html_en : \
 $(DIRWWW)/en/one/bibnemomain.php \
@@ -127,9 +174,9 @@
 $(DIRWWW)/en/one/$(PRODUIT)01.html \
 $(DIRWWW)/en/one/$(PRODUIT)02.html \
-$(DIRWWW)/en/many/$(PRODUIT)03/ \
-$(DIRWWW)/en/many/$(PRODUIT)04/ \
+$(DIRWWW)/en/many/$(PRODUIT)01/ \
+$(DIRWWW)/en/many/$(PRODUIT)02/ \
 $(DIRWWW)/en/one/$(PRODUIT2).html
 
-pdf_en : \
+pdf_en : ./\
 $(DIRTMP)/$(PRODUIT)01.pdf \
 $(DIRTMP)/$(PRODUIT)02.pdf
@@ -138,5 +185,5 @@
 $(SRCXMLDB1)
 	@xsltproc \
-	--output $(DIRWWW)/en/one/$(PRODUIT)00.html \
+	--output $@ \
 	http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl \
 	$(SRCXMLDB1)
@@ -149,5 +196,5 @@
 	-xml \
 	-clean \
-	-o $(DIRWWW)/en/one/bibnemomain.php \
+	-output $@ \
 	$(DIRTMP)/bibnemomain_beforetidy.php
 
@@ -159,5 +206,5 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	-o $(DIRTMP)/bibnemomain_beforetidy.php \
+	--output $@ \
 	$(DIRSRC)/bibnemomain_html.xsl \
 	$(SRCXMLDB0C)
@@ -171,5 +218,5 @@
 	-clean \
 	-xml \
-	-o $(DIRWWW)/en/one/$(PRODUIT)01.html \
+	-o $@ \
 	$(DIRTMP)/$(PRODUIT)01_beforetidy.html
 	# tidy supprime trop de blancs
@@ -184,5 +231,5 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	-o $(DIRTMP)/$(PRODUIT)01_beforetidy.html \
+	--output $@ \
 	$(DIRSRC)/$(PRODUIT)01_html.xsl \
 	$(DIRTMP)/$(PRODUIT)01.xml
@@ -193,5 +240,5 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	-o $(DIRTMP)/$(PRODUIT)01.xml \
+	--output $@ \
 	$(DIRSRC)/$(PRODUIT)01_xml.xsl \
 	$(SRCXMLDB1)
@@ -204,5 +251,5 @@
 	-clean \
 	-xml \
-	-o $(DIRWWW)/en/one/$(PRODUIT)02.html \
+	-o $@ \
 	$(DIRTMP)/$(PRODUIT)02_beforetidy.html
 	# tidy ne fait pas la bonne conversion de charset
@@ -217,54 +264,54 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	-o $(DIRTMP)/$(PRODUIT)02_beforetidy.html \
+	--output $@ \
 	$(DIRSRC)/$(PRODUIT)01_html.xsl \
 	$(DIRTMP)/$(PRODUIT)02.xml
 
-$(DIRWWW)/en/many/$(PRODUIT)04/ : \
-$(DIRSRC)/$(PRODUIT).css \
-$(DIRSRC)/style.css \
-$(DIRSRC)/$(PRODUIT)04_html.xsl \
-$(DIRTMP)/$(PRODUIT)04.xml
+$(DIRWWW)/en/many/$(PRODUIT)02/ : \
+$(DIRSRC)/$(PRODUIT).css \
+$(DIRSRC)/style.css \
+$(DIRSRC)/superbibmany02_html.xsl \
+$(DIRTMP)/bibliomany02.xml
 	@xsltproc \
 	$(XSLPARAMHTML) \
 	--param html.ext "'.php'" \
-	-o $(DIRWWW)/en/many/$(PRODUIT)04/ \
-	$(DIRSRC)/$(PRODUIT)04_html.xsl \
-	$(DIRTMP)/$(PRODUIT)04.xml
+	--output $@ \
+	$(DIRSRC)/superbibmany02_html.xsl \
+	$(DIRTMP)/bibliomany02.xml
 	# affreux sed
-	for file in $(DIRWWW)/en/many/$(PRODUIT)04/*.php; do \
-	 sed -f insertphp_many04.sed $${file} > $${file}_sed ; \
+	for file in $(DIRWWW)/en/many/$(PRODUIT)02/*.php; do \
+	 sed -f insertphp_many.sed $${file} > $${file}_sed ; \
 	 mv $${file}_sed $${file} ; \
 	done
 
-$(DIRTMP)/$(PRODUIT)04.xml : \
-$(DIRSRC)/$(PRODUIT)04_xml.xsl \
+$(DIRTMP)/bibliomany02.xml : \
+$(DIRSRC)/superbibmany02_xml.xsl \
 $(SRCXMLDB1)
 	@xsltproc \
 	$(XSLPARAMHTML) \
 	--param html.ext "'.php'" \
-	-o $(DIRTMP)/$(PRODUIT)04.xml \
-	$(DIRSRC)/$(PRODUIT)04_xml.xsl \
-	$(SRCXMLDB1)
-
-$(DIRWWW)/en/many/$(PRODUIT)03/ : \
-$(DIRSRC)/$(PRODUIT).css \
-$(DIRSRC)/style.css \
-$(DIRSRC)/$(PRODUIT)03_html.xsl \
-$(DIRTMP)/$(PRODUIT)03.xml
-	@xsltproc \
-	$(XSLPARAMHTML) \
-	-o $(DIRWWW)/en/many/$(PRODUIT)03/ \
-	$(DIRSRC)/$(PRODUIT)03_html.xsl \
-	$(DIRTMP)/$(PRODUIT)03.xml
-
-$(DIRTMP)/$(PRODUIT)03.xml : \
-$(DIRSRC)/$(PRODUIT)03_xml.xsl \
+	--output $@ \
+	$(DIRSRC)/superbibmany02_xml.xsl \
+	$(SRCXMLDB1)
+
+$(DIRWWW)/en/many/$(PRODUIT)01/ : \
+$(DIRSRC)/$(PRODUIT).css \
+$(DIRSRC)/style.css \
+$(DIRSRC)/superbibmany01_html.xsl \
+$(DIRTMP)/bibliomany01.xml
+	@xsltproc \
+	$(XSLPARAMHTML) \
+	--output $@ \
+	$(DIRSRC)/superbibmany01_html.xsl \
+	$(DIRTMP)/bibliomany01.xml
+
+$(DIRTMP)/bibliomany01.xml : \
+$(DIRSRC)/superbibmany01_xml.xsl \
 $(SRCXMLDB1)
 	@xsltproc \
 	$(XSLPARAMHTML) \
 	--param html.ext "'.html'" \
-	-o $(DIRTMP)/$(PRODUIT)03.xml \
-	$(DIRSRC)/$(PRODUIT)03_xml.xsl \
+	--output $@ \
+	$(DIRSRC)/superbibmany01_xml.xsl \
 	$(SRCXMLDB1)
 
@@ -275,5 +322,5 @@
 	$(XSLPARAMHTML) \
 	--param html.ext "'.html'" \
-	-o $(DIRTMP)/$(PRODUIT)02.xml \
+	--output $@ \
 	$(DIRSRC)/$(PRODUIT)02_xml.xsl \
 	$(SRCXMLDB1)
@@ -283,5 +330,5 @@
 	@xsltproc \
 	--xinclude \
-	-o $(DIRTMP)/titlepage.$(PRODUIT).xsl \
+	--output $@ \
 	http://docbook.sourceforge.net/release/xsl/current/template/titlepage.xsl \
 	$(DIRSRC)/titlepage.$(PRODUIT).xml
@@ -295,5 +342,5 @@
 $(SRCXMLDB1)
 	@xsltproc \
-	-o $(DIRTMP)/years_gnuplot.gnu \
+	--output $@ \
 	--param makedate "'$(MAKEDATE)'" \
 	--param path "'$(DIRWWW)/images/'" \
@@ -307,5 +354,5 @@
 	-b pdftex \
 	-T simple \
-	-o $(DIRTMP)/$(PRODUIT)01.pdf \
+	-o $@ \
 	-d \
 	-x "--nonet" \
@@ -321,5 +368,5 @@
 	-b pdftex \
 	-T simple \
-	-o $(DIRTMP)/$(PRODUIT)02.pdf \
+	-o $@ \
 	-d \
 	-x "--nonet" \
@@ -336,5 +383,5 @@
 	--xinclude \
 	--nonet \
-	--output $(SRCXMLDB0C) \
+	--output $@ \
 	$(DIRSRC)/bibnemomain.xml
 
@@ -343,5 +390,5 @@
 $(SRCXMLDB1)
 	@xsltproc \
-	-o $(DIRTMP)/select_id.xml \
+	--output $@ \
 	$(DIRSRC)/select_id.xsl \
 	$(SRCXMLDB1)
@@ -354,5 +401,5 @@
 	-clean \
 	-xml \
-	-o $(DIRWWW)/en/one/$(PRODUIT2).html \
+	-o $@ \
 	$(DIRTMP)/$(PRODUIT2)_beforetidy.html
 	# tidy supprime trop de blancs
@@ -367,5 +414,5 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	-o $(DIRTMP)/$(PRODUIT2)_beforetidy.html \
+	--output $@ \
 	$(DIRSRC)/$(PRODUIT2)_html.xsl \
 	$(DIRTMP)/$(PRODUIT2)_db.xml
@@ -376,5 +423,5 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	-o $(DIRTMP)/$(PRODUIT2)_db.xml \
+	--output $@ \
 	$(DIRSRC)/$(PRODUIT2)_db.xsl \
 	$(SRCXMLDB2)
@@ -392,5 +439,5 @@
 	-xml \
 	-clean \
-	-o $(DIRWWW)/en/one/template.php \
+	-o $@ \
 	$(DIRTMP)/template_beforetidy.php
 	# affreux sed
@@ -412,5 +459,5 @@
 	$(XSLPARAMHTML) \
 	--param html.ext "'.php'" \
-	-o $(DIRTMP)/template_beforetidy.php \
+	--output $@ \
 	$(DIRSRC)/bibnemomain_html.xsl \
 	$(DIRTMP)/template_db.xml
@@ -421,5 +468,5 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	-o $(DIRTMP)/template_db.xml \
+	--output $@ \
 	$(DIRSRC)/template_db.xsl \
 	$(DIRSRC)/usernemo.xml
@@ -434,19 +481,14 @@
 	@echo "juste pour info dependances de $(PRODUIT)02_xml.xsl"
 
-$(DIRSRC)/$(PRODUIT)03_xml.xsl : \
+$(DIRSRC)/superbibmany01_xml.xsl : \
 $(DIRSRC)/table_authors.xsl \
 $(DIRSRC)/biblioentry_xml.xsl
-	@echo "juste pour info dependances de $(PRODUIT)03_xml.xsl"
-
-$(DIRSRC)/$(PRODUIT)04_xml.xsl : \
+	@echo "juste pour info dependances de superbibmany01_xml.xsl"
+
+$(DIRSRC)/superbibmany02_xml.xsl : \
 $(DIRSRC)/table_authors.xsl
 $(DIRSRC)/template_db.xsl : \
 $(DIRSRC)/form_db.xsl
 	@echo "juste pour info dependances de template_db.xsl"
-
-$(DIRSRC)/$(PRODUIT)04_xml.xsl : \
-$(DIRSRC)/table_authors.xsl \
-$(DIRSRC)/form_db.xsl
-	@echo "juste pour info dependances de $(PRODUIT)04_xml.xsl"
 
 $(DIRSRC)/form_db.xsl : \
@@ -457,5 +499,6 @@
 $(DIRSRC)/comments_db.xsl \
 $(DIRSRC)/newreferences_db.xsl \
-$(DIRSRC)/processors_db.xsl
+$(DIRSRC)/processors_db.xsl \
+$(DIRSRC)/biblioentry_xml.xsl
 	@echo "juste pour info dependances de form_db.xsl"
 
@@ -464,16 +507,12 @@
 	@echo "juste pour info dependances de biblioentry_xml.xsl"
 
-$(DIRSRC)/$(PRODUIT)04_html.xsl : \
+$(DIRSRC)/superbibmany02_html.xsl : \
 $(DIRTMP)/titlepage.$(PRODUIT).xsl \
 $(DIRSRC)/form_html.xsl
-	@echo "juste pour info dependances de $(PRODUIT)04_html.xsl"
-
-$(DIRSRC)/$(PRODUIT)03_html.xsl : \
+	@echo "juste pour info dependances de superbibmany02_html.xsl"
+
+$(DIRSRC)/superbibmany01_html.xsl : \
 $(DIRTMP)/titlepage.$(PRODUIT).xsl
-	@echo "juste pour info dependances de $(PRODUIT)03_html.xsl"
-
-$(DIRSRC)/$(PRODUIT)02_html.xsl : \
-$(DIRTMP)/titlepage.$(PRODUIT).xsl
-	@echo "juste pour info dependances de $(PRODUIT)02_html.xsl"
+	@echo "juste pour info dependances de superbibmany01_html.xsl"
 
 $(DIRSRC)/bibnemomain_html.xsl : \
Index: /trunk/select_id.xsl
===================================================================
--- /trunk/select_id.xsl	(revision 20)
+++ /trunk/select_id.xsl	(revision 30)
@@ -11,4 +11,6 @@
 ++ xforms
 <OPTGROUP label="PortMaster 3"> A B C cf http://www.la-grange.net/w3c/html4.01/interact/forms.html#edef-OPTION
+fplod 2007-10-17T08:09:03Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve sort (diacriticals)
 fplod 2007-05-18T14:52:55Z aedon.locean-ipsl.upmc.fr (Darwin)
 modif gestion id
@@ -52,5 +54,5 @@
  </xsl:element>
  <xsl:for-each select="///author[not( self::node() = following::author )]">
-  <xsl:sort order="ascending" data-type="text" select="."/>
+  <xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
   <xsl:element name="option">
    <xsl:variable name="author_id">
@@ -63,5 +65,5 @@
 </xsl:call-template>
    </xsl:variable>
-   <xsl:variable name="path">../many/bibnemomaf04/</xsl:variable>
+   <xsl:variable name="path">../many/bibnemomaf02/</xsl:variable>
    <xsl:variable name="ext">php</xsl:variable>
    <xsl:variable name="url"><xsl:value-of select="$path"/><xsl:value-of select="$author_id"/>.<xsl:value-of select="$ext"/></xsl:variable>
Index: /trunk/superbibmany01_html.xsl
===================================================================
--- /trunk/superbibmany01_html.xsl	(revision 30)
+++ /trunk/superbibmany01_html.xsl	(revision 30)
@@ -0,0 +1,51 @@
+<?xml version='1.0' encoding='ISO-8859-1'?> 
+<!--
+module :
+transformation docbook en plusieurs html
+
+source :
+/usr/home/fplod/src/superbib_ws/superbibmany01_html.xsl sur aedon.locean-ipsl.upmc.fr
+
+mise à jour :
+fplod 2007-05-04T09:05:49Z aedon.locean-ipsl.upmc.fr (Darwin)
+création à partir de bibnemomaf02_html.xsl mais user.footer.navigation
+au lieu de user.footer.content
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
+<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
+
+<xsl:output method="xml" 
+encoding="utf-8" 
+indent="yes" 
+omit-xml-declaration="no"
+doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
+doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
+
+<xsl:include href="titlepage.bibnemomaf.xsl"/>
+
+<xsl:template match="*" mode="book.titlepage.mode"/>
+<xsl:param name="generate.toc">
+article nop
+</xsl:param>
+<xsl:param name="section.autolabel" select="0"/>
+<xsl:param name="css.decoration" select="0"/>
+<xsl:param name="chunk.section.depth" select="1"/>
+<xsl:param name="use.id.as.filename" select="1"/>
+<xsl:param name="chunker.output.doctype-public">"-//W3C//DTD XHTML 1.0 Strict//EN"</xsl:param>
+<xsl:param name="chunker.output.omit-xml-declaration">no</xsl:param> 
+<xsl:param name="chunker.output.encoding">utf-8</xsl:param>
+<xsl:param name="chunker.output.indent">yes</xsl:param>
+<xsl:param name="doctype-system">"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"</xsl:param>
+
+
+<!--
+Personalisation de bas de page
+-->
+<xsl:template name="user.footer.navigation">
+  <xsl:element name="p">
+Last update : <xsl:value-of select="$makedate"/>
+  </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet> 
Index: /trunk/superbibmany01_xml.xsl
===================================================================
--- /trunk/superbibmany01_xml.xsl	(revision 30)
+++ /trunk/superbibmany01_xml.xsl	(revision 30)
@@ -0,0 +1,183 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<!--
+module :
+sortir les références bibliographiques par personne en morceau
+
+source :
+/usr/home/fplod/src/superbib_ws/superbibmany01_xml.xsl sur aedon.locean-ipsl.upmc.fr
+
+update :
+fplod 2007-10-17T08:03:44Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve sort (diacriticals)
+fplod 2007-05-18T14:57:52Z aedon.locean-ipsl.upmc.fr (Darwin)
+modif gestion id
+fplod 2007-05-16T15:19:57Z aedon.locean-ipsl.upmc.fr (Darwin)
+correction pour homonymes partiels
+fplod 2007-05-04T09:23:05Z aedon.locean-ipsl.upmc.fr (Darwin)
+creation à partir de bibnemomaf02_xml.xsl mais liens externes
+-->
+
+<xsl:stylesheet
+ id="id" version="1.0"
+ xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<xsl:output
+ method="xml"
+ indent="yes"
+ encoding="ISO-8859-1"
+ omit-xml-declaration="no"
+ doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
+ doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
+
+<xsl:include href="firstname_id.xsl"/>
+<xsl:include href="surname_id.xsl"/>
+<xsl:include href="table_authors.xsl"/>
+<xsl:include href="biblioentry_xml.xsl"/>
+
+<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>
+
+<xsl:template match="bibliography">
+
+<article lang="en">
+<title>NEMO - Publications - Papers by authors</title>
+<articleinfo>
+<authorgroup>
+<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
+<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
+<!--++-->
+</authorgroup>
+<keywordset>
+<keyword>NEMO</keyword>
+</keywordset>
+<!-- ++ date -->
+</articleinfo>
+<highlights>
+<para>
+ This page intents to provide an exhaustive list of the papers that have used NEMO or OPA and/or results from them. Obvioulsy many papers are missing. If you find omissions or mistakes please ask some modification via
+<xsl:element name="ulink">
+ <xsl:attribute name="url">
+  <xsl:value-of select="'../../one/bibnemomain.php'"/>
+ </xsl:attribute>
+ <xsl:text>Nemo Survey main page</xsl:text>
+</xsl:element>.
+</para>
+</highlights>
+<para>
+You can also see <quote>NEMO - Publications - Papers</quote> sorted by 
+<xsl:element name="ulink">
+ <xsl:attribute name="url">
+  <xsl:value-of select="'../../one/bibnemomaf01.html'"/>
+ </xsl:attribute>
+<xsl:text>years</xsl:text>
+</xsl:element>.
+</para>
+<para>
+Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
+</para>
+
+<sect1 id="intro">
+<title>Introduction</title>
+<para>
+This document provide bibliography sorted by author's id (<emphasis>SURNAME_f</emphasis>).
+</para>
+</sect1>
+
+<xsl:call-template name="table_authors">
+<xsl:with-param name="linktype" select="'external'"/>
+</xsl:call-template>
+
+<!-- loop on author_ids -->
+<xsl:for-each select="$list_author_ids">
+<xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
+<xsl:variable name="author_id2">
+<xsl:call-template name="surname_id">
+ <xsl:with-param name="surname" select="personname/surname"/>
+</xsl:call-template>
+<xsl:text>_</xsl:text>
+<xsl:call-template name="firstname_id">
+ <xsl:with-param name="firstname" select="personname/firstname"/>
+</xsl:call-template>
+</xsl:variable>
+<!--
+<xsl:message terminate="no">
+noeud courant <xsl:value-of select="name(.)"/>
+author <xsl:value-of select="."/>
+author_id2 <xsl:value-of select="$author_id2"/>
+</xsl:message>
+-->
+<xsl:call-template name="one_author_id">
+<xsl:with-param name="author_id" select="$author_id2"/>
+<xsl:with-param name="author_name" select="."/>
+</xsl:call-template>
+</xsl:for-each>
+
+</article>
+</xsl:template>
+
+<xsl:template match="bibliographyinfo/date"/>
+<xsl:template match="bibliography/title"/>
+
+<xsl:template name="one_author_id">
+<xsl:param name="author_id"/>
+<xsl:param name="author_name"/>
+<!--
+<xsl:message terminate="no">
+call template avec <xsl:value-of select="$author_id"/>
+et <xsl:value-of select="$author_name"/>
+noeud courant <xsl:value-of select="name(.)"/>
+</xsl:message>
+-->
+<!--
+<xsl:message terminate="no">
+author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
+2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
+</xsl:message>
+-->
+<xsl:element name="sect1">
+<xsl:attribute name="id">
+<xsl:value-of select="$author_id"/>
+</xsl:attribute>
+<xsl:element name="title">
+<xsl:value-of select="$author_name"/>
+</xsl:element>
+  <xsl:element name="orderedlist">
+  <!--
+    <xsl:for-each select="/descendant::biblioentry[descendant::author=$author_name]">
+  -->
+   <xsl:for-each select="//biblioentry">
+    <xsl:sort order="descending" data-type="number" select="./biblioset/pubdate"/>
+
+    <xsl:for-each select="descendant::author">
+     <xsl:sort order="ascending" data-type="text" select="translate(./personname,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
+     <xsl:variable name="author_id2">
+<xsl:call-template name="surname_id">
+ <xsl:with-param name="surname" select="personname/surname"/>
+</xsl:call-template>
+<xsl:text>_</xsl:text>
+<xsl:call-template name="firstname_id">
+ <xsl:with-param name="firstname" select="personname/firstname"/>
+</xsl:call-template>
+     </xsl:variable>
+
+<!--
+     <xsl:message terminate="no">
+      ref #<xsl:value-of select="position()"/>
+      _id appel <xsl:value-of select="$author_id"/>
+      _id fabrique <xsl:value-of select="$author_id2"/>
+      egal ? <xsl:value-of select="$author_id2 = $author_id"/>
+     </xsl:message>
+-->
+     <xsl:if test="$author_id2 = $author_id">
+  <xsl:call-template name="one_biblioentry">
+   <xsl:with-param name="visu_modif" select="'visu'"/>
+   <xsl:with-param name="my_biblioentry" select="ancestor::biblioentry"/>
+  </xsl:call-template>
+     </xsl:if>
+    </xsl:for-each>
+   </xsl:for-each>
+  </xsl:element>
+ </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet>
Index: /trunk/superbibmany02_html.xsl
===================================================================
--- /trunk/superbibmany02_html.xsl	(revision 30)
+++ /trunk/superbibmany02_html.xsl	(revision 30)
@@ -0,0 +1,43 @@
+<?xml version='1.0' encoding='ISO-8859-1'?> 
+<!--
+module :
+transformation docbook en plusieurs html avec formulaire
+
+source :
+/usr/home/fplod/src/superbib_ws/superbibmany02_html.xsl sur aedon.locean-ipsl.upmc.fr
+
+mise à jour :
+fplod 2007-04-06T10:30:31Z aedon.locean-ipsl.upmc.fr (Darwin)
+création
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
+<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
+
+<xsl:include href="titlepage.bibnemomaf.xsl"/>
+<xsl:include href="form_html.xsl"/>
+
+<xsl:template match="*" mode="book.titlepage.mode"/>
+<xsl:param name="generate.toc">
+article nop
+</xsl:param>
+<xsl:param name="section.autolabel" select="0"/>
+<xsl:param name="css.decoration" select="0"/>
+<xsl:param name="chunk.section.depth" select="1"/>
+<xsl:param name="use.id.as.filename" select="1"/>
+<xsl:param name="chunker.output.doctype-public">"-//W3C//DTD XHTML 1.0 Strict//EN"</xsl:param>
+<xsl:param name="chunker.output.omit-xml-declaration">yes</xsl:param> <!-- parce que .php -->
+<xsl:param name="chunker.output.encoding">utf-8</xsl:param>
+<xsl:param name="chunker.output.indent">yes</xsl:param>
+<xsl:param name="doctype-system">"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"</xsl:param>
+
+<!--
+Personalisation de bas de page
+-->
+<xsl:template name="user.footer.navigation">
+  <xsl:element name="p">
+Last update : <xsl:value-of select="$makedate"/>
+  </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet> 
Index: /trunk/superbibmany02_xml.xsl
===================================================================
--- /trunk/superbibmany02_xml.xsl	(revision 30)
+++ /trunk/superbibmany02_xml.xsl	(revision 30)
@@ -0,0 +1,175 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<!--
+module :
+sortir un formulaire en html avec les références bibliographiques  + questions générales par personne
+
+source :
+/usr/home/fplod/src/superbib_ws/superbibmany02_xml.xsl sur aedon.locean-ipsl.upmc.fr
+
+update :
+++ parametrer le nom du fichier "base utilisateur" usernemo.xml
+fplod 2007-10-17T08:06:40Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve sort (diacriticals)
+fplod 2007-05-18T14:59:29Z aedon.locean-ipsl.upmc.fr (Darwin)
+modif gestion id
+fplod 2007-05-16T15:28:56Z aedon.locean-ipsl.upmc.fr (Darwin)
+correction pour homonymes partiels
+fplod 2007-05-15T15:07:37Z aedon.locean-ipsl.upmc.fr (Darwin)
+modification to see usernemo/userid="template" information if author_id 
+doesn't exit in users datafile
+fplod 2007-04-16T08:10:06Z aedon.locean-ipsl.upmc.fr (Darwin)
+creation
+-->
+
+<xsl:stylesheet
+ id="id" version="1.0"
+ xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<xsl:output
+ method="xml"
+ indent="yes"
+ encoding="ISO-8859-1"
+ omit-xml-declaration="yes"
+ doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
+ doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
+
+<xsl:include href="firstname_id.xsl"/>
+<xsl:include href="surname_id.xsl"/>
+<xsl:include href="table_authors.xsl"/>
+<xsl:include href="form_db.xsl"/>
+
+<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>
+
+<xsl:template match="bibliography">
+
+<article lang="en">
+<title>NEMO Survey - Known users</title>
+<articleinfo>
+<authorgroup>
+<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
+<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
+<!--++-->
+</authorgroup>
+<keywordset>
+<keyword>NEMO</keyword>
+</keywordset>
+<!-- ++ date -->
+</articleinfo>
+<highlights>
+ <xsl:element name="para">
+These pages intent to provide an form for every know user of NEMO with bibliography and information.
+ </xsl:element>
+ <xsl:element name="para">
+As you can imagine, this survey is not a new way to spy NEMO users and their work! The goal of this survey is simply collect and keep up-to-date information related to the use of NEMO: mainly the number of users and list of publications involving NEMO. These information and their temporal evolution are keys arguments when negotiating man-power or money to support our work. We tried to minimize as much as possible the time needed to fill this survey. Please, take a few minutes to fill it, this will greatly benefit to NEMO!
+ </xsl:element>
+</highlights>
+<xsl:element name="para">
+   The mail sent by filling these forms will be used to update
+<ulink url="../../one/bibnemomain.php">Nemo-Puplications-Papers</ulink>
+and <ulink url="../../one/usernemo.html">Nemo Users</ulink>.
+</xsl:element>
+
+<para>
+Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
+</para>
+<para>
+Last update of the usernemo databank : <xsl:value-of select="document('usernemo.xml')/usersnemo/date"/>
+</para>
+
+<xsl:call-template name="table_authors">
+ <xsl:with-param name="linktype" select="'external'"/>
+</xsl:call-template>
+
+<sect1 id="intro">
+<title>Intro</title>
+<para>
+This document provide bibliography and NEMO user's information sorted by author's id.
+</para>
+</sect1>
+
+<!-- loop on author_ids -->
+<xsl:for-each select="$list_author_ids">
+ <xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
+ <xsl:variable name="author_id2">
+<xsl:call-template name="surname_id">
+ <xsl:with-param name="surname" select="personname/surname"/>
+</xsl:call-template>
+<xsl:text>_</xsl:text>
+<xsl:call-template name="firstname_id">
+ <xsl:with-param name="firstname" select="personname/firstname"/>
+</xsl:call-template>
+</xsl:variable>
+<!--
+<xsl:message terminate="no">
+ noeud courant <xsl:value-of select="name(.)"/>
+ author <xsl:value-of select="."/>
+ author_id2 <xsl:value-of select="$author_id2"/>
+</xsl:message>
+-->
+ <xsl:call-template name="one_author_id">
+  <xsl:with-param name="author_id" select="$author_id2"/>
+  <xsl:with-param name="author_name" select="."/>
+ </xsl:call-template>
+</xsl:for-each>
+
+</article>
+</xsl:template>
+
+<xsl:template match="bibliographyinfo/date"/>
+<xsl:template match="bibliography/title"/>
+
+<xsl:template name="one_author_id">
+ <xsl:param name="author_id"/>
+ <xsl:param name="author_name"/>
+ <!--
+ <xsl:message terminate="no">
+  call template avec <xsl:value-of select="$author_id"/>
+  et <xsl:value-of select="$author_name"/>
+  noeud courant <xsl:value-of select="name(.)"/>
+ </xsl:message>
+ -->
+ <!--
+ <xsl:message terminate="no">
+  author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
+  2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
+ </xsl:message>
+  -->
+ <xsl:element name="sect1">
+  <xsl:attribute name="id">
+   <xsl:value-of select="$author_id"/>
+  </xsl:attribute>
+  <xsl:element name="title">
+   <xsl:value-of select="$author_name"/>
+  </xsl:element>
+  <xsl:element name="para">
+As you can imagine, this survey is not a new way to spy NEMO users and their work! The goal of this survey is simply collect and keep up-to-date information related to the use of NEMO: mainly the number of users and list of publications involving NEMO. These information and their temporal evolution are keys arguments when negotiating man-power or money to support our work. We tried to minimize as much as possible the time needed to fill this survey. Please, take a few minutes to fill it, this will greatly benefit to NEMO!
+  </xsl:element>
+  <xsl:element name="para">
+   The mail sent by filling this form will be used to update
+<ulink url="../../one/bibnemomain.php">Nemo-Puplications-Papers</ulink>
+and <ulink url="../../one/usernemo.html">Nemo Users</ulink>.
+  </xsl:element>
+
+  <xsl:choose>
+   <xsl:when test="document('usernemo.xml')/usersnemo/usernemo[descendant::userid=$author_id]/userid = $author_id">
+    <xsl:call-template name="form_db">
+     <xsl:with-param name="author_id" select="$author_id"/>
+     <xsl:with-param name="usernemo" select="document('usernemo.xml')/usersnemo/usernemo[descendant::userid=$author_id]"/>
+     <xsl:with-param name="visu_modif" select="'modif'"/>
+     <xsl:with-param name="bibmode" select="'yes'"/>
+    </xsl:call-template>
+   </xsl:when>
+   <xsl:otherwise>
+    <xsl:call-template name="form_db">
+     <xsl:with-param name="author_id" select="$author_id"/>
+     <xsl:with-param name="usernemo" select="document('usernemo.xml')/usersnemo/usernemo[descendant::userid='template']"/>
+     <xsl:with-param name="visu_modif" select="'modif'"/>
+     <xsl:with-param name="bibmode" select="'yes'"/>
+    </xsl:call-template>
+   </xsl:otherwise>
+  </xsl:choose>
+ </xsl:element>
+</xsl:template>
+
+</xsl:stylesheet>
Index: /trunk/table_authors.xsl
===================================================================
--- /trunk/table_authors.xsl	(revision 20)
+++ /trunk/table_authors.xsl	(revision 30)
@@ -3,5 +3,5 @@
 <!--
 module :
-création d'une table avec tous les auteurs et le lien interne ou externe associé
+creation of a table with every author with an associated external or internal link
 
 source :
@@ -9,5 +9,6 @@
 
 update :
-++ plein de trucs
+fplod 2007-10-17T07:48:19Z aedon.locean-ipsl.upmc.fr (Darwin)
+improve sort (diacriticals)
 fplod 2007-05-18T14:40:38Z aedon.locean-ipsl.upmc.fr (Darwin)
 modif gestion des id
@@ -49,5 +50,5 @@
   <xsl:element name="tbody">
    <xsl:for-each select="///author[not( self::node() = following::author )]">
-    <xsl:sort order="ascending" data-type="text" select="."/>
+    <xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz éèçàùëöñó', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
     <xsl:if test="position() = 1 or position() mod $nb_cols = 1">
      <xsl:text>&#xA;</xsl:text>
Index: /trunk/twindoi.sh
===================================================================
--- /trunk/twindoi.sh	(revision 20)
+++ /trunk/twindoi.sh	(revision 30)
@@ -15,5 +15,5 @@
 # (xml vs txt) did not give any alert and check inside
 # xml comments
-# $ ./twindoi.sh -i data/biball.xml -t raw 
+# $ ./twindoi.sh -i data/biball.xml -t raw
 # $Id$
 # smasson 2007-06-20T16:11:47Z
@@ -33,9 +33,9 @@
 do
  case ${1} in
- -i) # filein 
+ -i) # filein
   filein=${2}
   shift
  ;;
- -t) # type 
+ -t) # type
   type=${2}
   shift
@@ -50,5 +50,5 @@
 set -u
 #
-# check for filein 
+# check for filein
 if [ ! -f ${filein} ]
 then
@@ -64,5 +64,5 @@
  filexml=${filein}
 ;;
-*) 
+*)
    echo "eee : type should be raw or xml"
    exit 1
@@ -95,8 +95,8 @@
 if [ ${nl} -eq 0 ]
 then
-   echo "www : no DOI found in ${filein}" 
+   echo "www : no DOI found in ${filein}"
    rm /tmp/doilist.txt 2> /dev/null
    exit 1
-fi 
+fi
 n=1
 while [ ${n} -lt ${nl} ]
Index: /trunk/usernemo_db.xsl
===================================================================
--- /trunk/usernemo_db.xsl	(revision 20)
+++ /trunk/usernemo_db.xsl	(revision 30)
@@ -76,5 +76,5 @@
 <xsl:element name="ulink">
  <xsl:attribute name="url">
-  <xsl:value-of select="'../many/bibnemomaf03/index.html'"/>
+  <xsl:value-of select="'../many/bibnemomaf01/index.html'"/>
  </xsl:attribute>
  <xsl:text>several </xsl:text>
